<?php
/**
 * LyftenBloggie 1.0 - Joomla! Blog Manager
 * @package 	LyftenBloggie 1.0
 * @subpackage 	AboutBlock Plugin 1.0
 *
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');

/**
 *	Returns a Tag cloud
 */ 
function getAboutBlock($plg_params, $author){	
	
	//Only show if on Entry & Comments View
	$view = JArrayHelper::getValue( $_REQUEST, 'view', 0 );

	if (!($view == 'entry' || $view == 'comments')) return false;

	global $mainframe;
	
	//set variables
	$params 	= & $mainframe->getParams('com_lyftenbloggie');
	$db 		=& JFactory::getDBO();

	//Can Only be used with LyftenBloggie Authors
	if($params->get('authorLevel', 'LB') != 'LB') return false;

	$query = 'SELECT *'
			. ' FROM #__bloggies_authors'
			. ' WHERE user_id = '.$author
			;
	$db->setQuery($query);
	$author_data = $db->loadObject();

	//return false it authour not found
	if (empty($author_data)) return false;
	
	//Make Author Parameters
	$aparams = new JParameter($author_data->attribs);

	//Start Output
	$output = '<h3 class="about"><span class="about-feed-right">';

	//I like Facebook so I made it main
	if (($aparams->get('showFaceBookLink')) && ($aparams->get('facebookURL'))) :
		$output .= '<a href="'.$aparams->get('facebookURL').'" target="_blank">Facebook</a>';
	endif;

	//Show RSS feed link
	if ($params->get('useRSSFeed')) :
		$output .= (($aparams->get('showFaceBookLink')) && ($aparams->get('facebookURL')))?' | ':'';
		$output .= '<a href="'.JRoute::_(LyftenBloggieHelperRoute::getBlogFeedRoute('rss2')).'">Feeds</a>';
	endif;
	
	$output .= '</span>';
	$output .= $author_data->name.'</h3>';
	$output .= '<div class="items_wrapper" id="about_items_wrapper">';

	//Get avatar
	$output .= '<img src="'.LDHTML::genAvatarURL($author_data->user_id, $params->get('avatarUsed', 'default') ).'" class="avatar">';

	$output .= $aparams->get('mainBlogDesc');
	$output .= '<div class="clear" style="margin-top:10px;"></div>';

	//determine which social network to link to
	$output .= ($aparams->get('facebookURL'))?'<a href="'.$aparams->get('facebookURL').'" target="_blank"><img src="'.COM_LYFTENBLOGGIE_ASSETS.'/images/social/facebook.gif" border="0"></a>':'';
	$output .= ($aparams->get('diggURL'))?'<a href="'.$aparams->get('diggURL').'" target="_blank"><img src="'.COM_LYFTENBLOGGIE_ASSETS.'/images/social/digg.png" border="0"></a>':'';
	$output .= ($aparams->get('deliciousURL'))?'<a href="'.$aparams->get('deliciousURL').'" target="_blank"><img src="'.COM_LYFTENBLOGGIE_ASSETS.'/images/social/delicious.gif" border="0"></a>':'';
	$output .= ($aparams->get('technoratiURL'))?'<a href="'.$aparams->get('technoratiURL').'" target="_blank"><img src="'.COM_LYFTENBLOGGIE_ASSETS.'/images/social/technorati.png" border="0"></a>':'';
	$output .= ($aparams->get('twitterURL'))?'<a href="'.$aparams->get('twitterURL').'" target="_blank"><img src="'.COM_LYFTENBLOGGIE_ASSETS.'/images/social/twitter.gif" border="0"></a>':'';
	$output .= ($aparams->get('flickrURL'))?'<a href="'.$aparams->get('flickrURL').'" target="_blank"><img src="'.COM_LYFTENBLOGGIE_ASSETS.'/images/social/flickr.gif" border="0"></a>':'';
	$output .= ($aparams->get('mybloglogURL'))?'<a href="'.$aparams->get('mybloglogURL').'" target="_blank"><img src="'.COM_LYFTENBLOGGIE_ASSETS.'/images/social/mybloglog.png" border="0"></a>':'';
	$output .= ($aparams->get('ffindURL'))?'<a href="'.$aparams->get('ffindURL').'" target="_blank"><img src="'.COM_LYFTENBLOGGIE_ASSETS.'/images/social/ffind.jpg" border="0"></a>':'';

	$output .= '<div class="clear"></div></div>';
	
	return $output;
}