<?php
/**
 * LyftenBloggie 1.0 - Joomla! Blog Manager
 * @package LyftenBloggie 1.0
 * @copyright (C) 2009 Lyften Designs
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');

ini_set('error_reporting', 'E_ALL');
ini_set('display_errors', 1);
ini_set('max_execution_time', '120');
define("SITE_ROOT_PATH", dirname(dirname(dirname(dirname(__FILE__)))) );

/**
 * Method to extract zip files
 */
function ExtractZip($src, $destDir){
	$destDir 	=  JPath::clean($destDir);
	$src 		=  JPath::clean($src);
	$error 		= JArchive::extract($src, $destDir);
	$error 		= @unlink($src);
	
	return true;
}

function com_install() {

	$db 		=& JFactory::getDBO(); 
	
	// Load installation script
	include_once(JPATH_SITE.'/administrator/components/com_lyftenbloggie/install.sql.php');
	
    echo '<center><table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist">
			<tr>
				<td valign="middle">
		    		<img src="components/com_lyftenbloggie/assets/images/logo.png" align="left" />
					<p>Lyften Bloggie is created by Daniel Stainback.</p>
					<p>Please visit <a href="http://www.lyften.com">www.lyften.com </a>to find out more. </p>
				</td>
				<td valign="top" width="100%">
		       	 	<strong>Install Status</strong><br/>';
	
    //Remove Old Files
	$fold_stuff[] = '/administrator/components/com_lyftenbloggie/uninstall.mysql.nonutf8.sql';
	$fold_stuff[] = '/administrator/components/com_lyftenbloggie/uninstall.mysql.utf8.sql';
	$fold_stuff[] = '/administrator/components/com_lyftenbloggie/install.mysql.nonutf8.sql';
	$fold_stuff[] = '/administrator/components/com_lyftenbloggie/install.mysql.utf8.sql';

    echo '<img src="images/tick.png"> Removing Old Files';
	foreach($fold_stuff as $source){
		$path = JPATH_SITE.DS.$source;
	    if (file_exists($path)){
	       @unlink($path);
	    }
	}
	echo '...done<br/>';

	echo '<img src="images/tick.png"> Loading default configurations<br/>';

    // Unzip full administrator files
    $AdminZip	= JPATH_SITE . '/components/com_lyftenbloggie/admin.zip';
    $AdminDest	= JPATH_SITE . '/administrator/components/com_lyftenbloggie/';
    echo '<img src="images/tick.png"> Install Administrator Files...done<br/>';		
	$error = ExtractZip($AdminZip, $AdminDest);
	
	// Unzip full site files
	$SiteZip  = JPATH_SITE . '/administrator/components/com_lyftenbloggie/site.zip';
	$SiteDest = JPATH_SITE . '/components/com_lyftenbloggie/';
    echo '<img src="images/tick.png"> Installing Site Files...done<br>';		
	$error = ExtractZip($SiteZip, $SiteDest);
     
	// Clear Caches
	$cache = JFactory::getCache();
	$cache->clean();
	
    echo '<img src="images/tick.png"> Install Complete!';	
	echo	'</td></tr></table></center>';
	
	return true;
}
