<?php
/**
 * jQuery_Element - class for work with jQuery framework
 *
 */
class jQuery_Element
{
    /**
     * selector path
     * @var string
     */
    public $s;
    
    /**
     * methods
     * @var array
     */
    public $m = array();
    
    /**
     * args
     * @var array
     */
    public $a = array();
 
	/**
	 * PHP4 style Constructor - Calls PHP5 Style Constructor
	 * @since 1.0.2
	 **/
	function jQuery_Element($selector)
	{
		$this->__construct($selector);
	}
    
    /**
     * __construct
     * contructor of jQuery
     *
     * @return jQuery_Element
     */
    public function __construct($selector)
    {
        jQuery::addElement($this); 
        $this->s = $selector;
    }
    
    /**
     * __call
     *
     * @return jQuery_Element
     */
    public function __call($method, $args)
    {
        array_push($this->m, $method);
        array_push($this->a, $args);
        
        return $this;
    }
    
    /**
     * end
     * need to create new jQuery
     *
     * @return jQuery_Element
     */
    public function end()
    {
        return new jQuery_Element($this->s);
    }
}