<?php
/**
 * JomProducts 1.0 - Joomla! Product Manager
 * @package JomProducts 1.0
 * @copyright (C) 2009 Lyften Designs
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');
?>
	<div class="settings">
	<div class="settings_title"><?php echo JText::_('SETTINGS'); ?></div>
	<div class="settings_content">
		<div class="setting">
			<div class="title"><h3><?php echo JText::_('PUBLISH STATUS'); ?></h3></div>
			<div class="content">
				<div class="description">
					<p><strong><label for="post_status"><?php echo JText::_('PUBLISH STATUS'); ?>: </label></strong><?php echo $this->lists['state']; ?></p>

					<p class="curtime"><?php echo JText::_('PUBLISH'); ?> <?php echo ($this->row->created)?JHTML::_('date', $this->row->created, '%b %d, %Y'):JText::_('IMMEDIATELY'); ?>&nbsp;<a style="display: inline;" href="javascript:return false;" id="timestampdiv" onclick="javascript:showMore('timestampdiv');">Изменить</a></p>
					<div style="display: none;" id="timestampdiv-inside" class="timestampdiv">
						<?php echo $this->lists['created']; ?>
					</div>	
				</div>
			</div>
			<div class="clearer">&nbsp;</div>
		</div>

		<div class="setting">
			<div class="title"><h3><?php echo JText::_('ENTRY SETTINGS'); ?></h3></div>
			<div class="content">
				<div class="description">
					<table style="margin-bottom:10px;">
						<tr>
							<td width="100px"><strong><label for="paramsallowComments"><?php echo JText::_('ACCESS LEVEL'); ?>: </label></strong></td>
							<td><?php echo $this->lists['access']; ?></td>
						</tr>
						<tr>
							<td width="100px"><strong><label for="paramsallowComments"><?php echo JText::_('COMMENTS'); ?>: </label></strong></td>
							<td><?php echo $this->lists['comments']; ?></td>
						</tr>
					</table>
				</div>
			</div>
			<div class="clearer">&nbsp;</div>
		</div>
		<?php if($this->row->modified != $this->nullDate) : ?>
		Последнее изменение произвёл <?php echo $this->row->author; ?>
		<p>Дата <?php echo JHTML::_('date', $this->row->modified, '%b %d, %Y в %I:%M %p'); ?></p>
		<?php endif; ?>
	</div>		
</div>