<?php
/**
 * LyftenBloggie 1.0 - Joomla! Blog Manager
 * @package LyftenBloggie 1.0
 * @copyright (C) 2009 Lyften Designs
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');
?>
<table class="configtable cfgdesc" border="0" cellpadding="4" cellspacing="0" width="100%">
	<tr>
		<th colspan="2"><?php echo JText::_('FEED SETTINGS');?> </th>
	</tr>
	<tr class="row1">
		<td class="title"><?php echo JText::_('BLOG RSS FEEDS');?></td>
		<td><?php echo JHTML::_('select.booleanlist', 'params[useRSSFeed]', '', $this->params->get('useRSSFeed'), JText::_('ENABLED'), JText::_('DISABLED')); ?></td>
	</tr>
	<tr class="row0">
		<td class="title"><?php echo JText::_('FEED LIMIT');?> <span onmouseout="HideHelp('feedLimit');" onmouseover="ShowHelp('feedLimit', '<?php echo JText::_('FEED LIMIT');?>', '<?php echo JText::_('FEED LIMIT DESC');?>')" src="<?php echo com_lyftenbloggie_ASSETS; ?>/images/help.gif" border="0" class="helptp">[?]</span><div style="display:none" id="feedLimit"></div></td>
		<td><input name="params[feedLimit]" id="paramsfeedLimit" value="<?php echo $this->params->get('feedLimit', 8);?>" class="text_area" type="text"></td>
	</tr>
	<tr class="row1">
		<td class="title"><?php echo JText::_('SUMMARIZE FEED');?> <span onmouseout="HideHelp('feedSummarize');" onmouseover="ShowHelp('feedSummarize', '<?php echo JText::_('SUMMARIZE FEED');?>', '<?php echo JText::_('FEED SUMMARIZE DESC');?>')" src="<?php echo com_lyftenbloggie_ASSETS; ?>/images/help.gif" border="0" class="helptp">[?]</span><div style="display:none" id="feedSummarize"></div></td>
		<td><?php echo JHTML::_('select.booleanlist', 'params[feedSummarize]', '', $this->params->get('feedSummarize'), JText::_('ENABLED'), JText::_('DISABLED')); ?></td>
	</tr>
	<tr class="row0">
		<td class="title"><?php echo JText::_('FEED LENGTH');?> <span onmouseout="HideHelp('feedLength');" onmouseover="ShowHelp('feedLength', '<?php echo JText::_('FEED LENGTH');?>', '<?php echo JText::_('FEED LENGTH DESC');?>')" src="<?php echo com_lyftenbloggie_ASSETS; ?>/images/help.gif" border="0" class="helptp">[?]</span><div style="display:none" id="feedLength"></div></td>
		<td><input name="params[feedLength]" id="paramsfeedLength" value="<?php echo $this->params->get('feedLength', 2);?>" class="text_area" type="text"> (<?php echo JText::_('NUMBER OF PARAGRAPHS'); ?>)</td>
	</tr>

	<tr class="row2">
		<td colspan="2"></td>
	</tr>
	<tr>
		<th colspan="2"><?php echo JText::_('FEEDS OFFERED');?> </th>
	</tr>
	<tr class="row1">
		<td class="title"><?php echo JText::_('RSS1');?></td>
		<td><?php echo JHTML::_('select.booleanlist', 'params[useRSS1]', '', $this->params->get('useRSS1'), JText::_('ENABLED'), JText::_('DISABLED')); ?></td>
	</tr>
	<tr class="row0">
		<td class="title"><?php echo JText::_('RSS2');?></td>
		<td><?php echo JHTML::_('select.booleanlist', 'params[useRSS2]', '', $this->params->get('useRSS2'), JText::_('ENABLED'), JText::_('DISABLED')); ?></td>
	</tr>
	<tr class="row1">
		<td class="title"><?php echo JText::_('ATOM');?></td>
		<td><?php echo JHTML::_('select.booleanlist', 'params[useAtom]', '', $this->params->get('useAtom'), JText::_('ENABLED'), JText::_('DISABLED')); ?></td>
	</tr>
	<tr class="row2">
		<td colspan="2"></td>
	</tr>
 </table>