<?php
/**
 * LyftenBloggie 1.0 - Joomla! Blog Manager
 * @package 	LyftenBloggie 1.0
 * @subpackage 	AboutBlock Plugin 1.0
 *
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');

/**
 *	Returns a Tag cloud
 */ 
function getAuthorTools($plg_params, $author){	
	
	global $mainframe;

	//include the needed helpers
	require_once (JPATH_SITE.DS.'components'.DS.'com_lyftenbloggie'.DS.'helpers'.DS.'route.php');
	require_once (JPATH_COMPONENT.DS.'helpers'.DS.'helper.php');

	$db 	=& JFactory::getDBO();
	$user	= EntriesHelper::getAuthor();
	$params = & $mainframe->getParams('com_lyftenbloggie');

	if($user->user_id == 'no' || !$user->permission) return;
	
	$output = '<div class="authortools">';
	
	//Can Only be used with LyftenBloggie Authors
	$output .= '<a href="'.JRoute::_(LyftenBloggieHelperRoute::getMyEntriesRoute()).'" class="rbutton">'.JText::_('MY ENTRIES').'</a>';
	
	if ($plg_params->get('showCreateEntry')) :	
		$output .= '<a href="'.JRoute::_(LyftenBloggieHelperRoute::getNewEntryRoute()).'" class="rbutton">'.JText::_('NEW ENTRY').'</a> ';
	endif;

	if ($plg_params->get('showAboutBoxOptions')) :	
		$output .= ($params->get('authorLevel', 'LB') == 'LB') ? '<a href="'.JRoute::_(LyftenBloggieHelperRoute::getMyDetailsRoute($user->user_id)).'" class="rbutton">'.JText::_('MY DETAILS').'</a>' : '<a href="'.JRoute::_('index.php?option=com_user&view=user&layout=form').'" class="rbutton">'.JText::_('MY DETAILS').'</a>';
	endif;
	
	$output .= '</div>';

	return $output;
}