<?php
/**
 * LyftenBloggie 1.0 - Joomla! Blog Manager
 * @package 	LyftenBloggie 1.0
 * @subpackage 	Categories Plugin 1.0
 *
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');

/**
 *	Returns a Calendar
 */ 
function getcategories($params){	

	global $mainframe;

	//Get HELP!!!
	require_once (JPATH_SITE.DS.'components'.DS.'com_lyftenbloggie'.DS.'helpers'.DS.'route.php');
	
	$db 		=& JFactory::getDBO();
	
	// get variables
	$limit = trim( $params->get( 'maxCatLimit') );
	
	$limit = ($limit)?' LIMIT '.$limit:'';
	
	// Get Categories
	$query = 'SELECT c.id, c.title, c.slug' .	
		' FROM #__bloggies_categories AS c' .			
		' WHERE c.published = 1' .			
		' ORDER BY c.ordering'
		.$limit;
	$db->setQuery($query);
	$categories = $db->loadObjectList();
	
	$return = "<ul class=\"sideitem_list\">\n";
	foreach( $categories as $category)
	{
		$link	= LyftenBloggieHelperRoute::getCategoryRoute($category->slug);
		$count	= plug_CountEntries( $category->id );
		$return .= "<li>\n";
		$return .= "	<span>\n";
		$return .= "		<a href=\"".$link."\">".$category->title." (".$count.")</a>\n";
		$return .= "	</span>\n";
		$return .= "</li>\n";
	}
	$link	= LyftenBloggieHelperRoute::getCategoryRoute(JText::_('UNCATEGORIZED'));
	$count	= plug_CountEntries(0);
	$return .= "<li style=\"margin: 0;padding: 4px 0 0;border-bottom:none;\">\n";
	$return .= "	<span>\n";
	$return .= "		<a href=\"".$link."\">".JText::_('UNCATEGORIZED')." (".$count.")</a>\n";
	$return .= "	</span>\n";
	$return .= "</li>\n";
	$return .= "</ul>\n";

	return $return;
}

function plug_CountEntries($id=0)
{
	$db			=& JFactory::getDBO();
	$query = 'SELECT COUNT(id)' .	
		' FROM #__bloggies_entries' .			
		' WHERE `catid` = ' . (int)$id;
	$db->setQuery($query);
	return ($count = $db->loadResult())?$count:0;
}
