<?php
/**
 * JomProducts 1.0 - Joomla! Product Manager
 * @package JomProducts 1.0
 * @copyright (C) 2009 Lyften Designs
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

/**
 * @package Joomla
 * @subpackage JomProducts
 * @since 1.0
 */
class LyftenBloggieController extends JController
{
	function __construct()
	{
		parent::__construct();
	}

	/**
	 * Display the view
	 */
	function display()
	{
		parent::display();
		$this->registerTask( 'perlinks', 	'perlinks' );		
	}

	/**
	 * Logic to fix perlinks
	 **/
	function perlinks()
	{
		$model = $this->getModel('lyftenbloggie');

		if ( $results = $model->fixPermlinks() ) {
			$msg = (isset($results['msg']))?' <b>ERROR:</b> '.$results['msg']:'';
			$msg = $results['new_permalinks'].' new permalinks added. '.$results['modified_permalinks'].' permalinks modified.'.$msg;
			$cache = &JFactory::getCache('com_lyftenbloggie');
			$cache->clean();
		} else {
			$msg = JText::_( 'ERROR FIXING PERMLINKS' );
			JError::raiseError( 500, 'An error accured while fixing permlinks' );
		}

		$this->setRedirect('index.php?option=com_lyftenbloggie', $msg);
	}	
	
}
?>