<?php
/**
 * LyftenBloggie 1.0 - Joomla! Blog Manager
 * @package LyftenBloggie 1.0
 * @copyright (C) 2009 Lyften Designs
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');

// Initialize variables
$db 	= & JFactory::getDBO(); 
$type   = "TYPE=MyISAM CHARACTER SET `utf8`;";

// Create/Alter Authors Table
if ($db->query( $db->SetQuery("SELECT * FROM `#__bloggies_authors` LIMIT 0,1") )){

	$db->query( $db->SetQuery("ALTER TABLE `#__bloggies_authors` CHANGE `permissions` `permissions` TEXT") );
	$db->query( $db->SetQuery("ALTER TABLE `#__bloggies_authors` DROP `allowdelete`") );

}else{
	$query = "CREATE TABLE `#__bloggies_authors` (
	  `id` INTEGER(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	  `user_id` INTEGER(11) DEFAULT NULL,
	  `name` VARCHAR(255) COLLATE utf8_general_ci NOT NULL DEFAULT '',
	  `avatar` VARCHAR(225) COLLATE utf8_general_ci DEFAULT NULL,
	  `permissions` TEXT COLLATE utf8_general_ci NOT NULL,
	  `attribs` TEXT COLLATE utf8_general_ci NOT NULL,
	  `published` TINYINT(4) NOT NULL DEFAULT '1',
	  `checked_out` INTEGER(11) UNSIGNED NOT NULL DEFAULT '0',
	  `checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	  PRIMARY KEY (`id`),
	  KEY `idx_checkout` (`checked_out`)
	) {$type}";
	$db->SetQuery($query);
	$db->query();
}

// Create Bookmarks Table
if (!$db->query( $db->SetQuery("SELECT * FROM `#__bloggies_bookmarks` LIMIT 0,1") )){
	$query = "CREATE TABLE `#__bloggies_bookmarks` (
	  `id` INTEGER(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	  `website` VARCHAR(255) COLLATE utf8_general_ci NOT NULL DEFAULT '',
	  `html` TEXT COLLATE utf8_general_ci NOT NULL,
	  `published` TINYINT(4) NOT NULL DEFAULT '0',
	  `type` VARCHAR(20) COLLATE utf8_general_ci NOT NULL DEFAULT '',
	  PRIMARY KEY (`id`)
	) {$type}";
	$db->SetQuery($query);
	$db->query();
	
	//Add Data
	$query = "INSERT INTO `#__bloggies_bookmarks` (`id`, `website`, `html`, `published`, `type`) VALUES
	  (1,'Digg.com - Small Button','<a rel=\"nofollow\" href=\"http://digg.com/\" title=\"Digg!\" target=\"_blank\" onclick=\"window.open(''http://digg.com/submit?url=***url***&title=***title***&bodytext=***description***''); return false;\"><img height=\"18px\" width=\"18px\" src=\"***imageDirectory***/digg.png\" alt=\"Digg!\" title=\"Digg!\" /></a>',0,'button'),
	  (2,'Digg.com - JavaScript Badge','<script type=\"text/javascript\">digg_url = ''***url***''; digg_title = ''***title***''; digg_bodytext = ''***description***''; digg_bgcolor = ''***bgcolor***''; digg_window = ''new'';</script><script src=\"http://digg.com/tools/diggthis.js\" type=\"text/javascript\"></script>',0,'badge'),
	  (3,'Digg.com - JavaScript Compact Badge','<script type=\"text/javascript\">digg_url = ''***url***''; digg_title = ''***title***''; digg_bodytext = ''***description***''; digg_bgcolor = ''***bgcolor***''; digg_skin = ''compact''; digg_window = ''new'';</script><script src=\"http://digg.com/tools/diggthis.js\" type=\"text/javascript\"></script>',0,'button'),
	  (4,'Reddit.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://reddit.com/submit?url=***url_encoded***&title=***title_encoded***''); return false;\" href=\"http://reddit.com\" title=\"Reddit!\" target=\"_blank\"><img height=\"18px\" width=\"18px\" src=\"***imageDirectory***/reddit.png\" alt=\"Reddit!\" title=\"Reddit!\" /></a>',0,'button'),
	  (5,'Reddit.com - JavaScript Badge Style 1','<script>reddit_url=''***url***''</script><script>reddit_title=''***title***''</script><script type=\"text/javascript\" src=\"http://reddit.com/button.js?t=1\"></script>',0,'badge'),
	  (6,'Reddit.com - JavaScript Badge Style 2','<script>reddit_url=''***url***''</script><script>reddit_title=''***title***''</script><script type=\"text/javascript\" src=\"http://reddit.com/button.js?t=2\"></script>',0,'badge'),
	  (7,'Reddit.com - JavaScript Badge Style 3','<script>reddit_url=''***url***''</script><script>reddit_title=''***title***''</script><script type=\"text/javascript\" src=\"http://reddit.com/button.js?t=3\"></script>',0,'badge'),
	  (8,'Del.icio.us - Small Button','<a rel=\"nofollow\" href=\"http://del.icio.us/\" title=\"Del.icio.us!\" target=\"_blank\" onclick=\"window.open(''http://del.icio.us/post?v=4&noui&jump=close&url=***url_encoded***&title=***title_encoded***''); return false;\"><img height=\"18px\" width=\"18px\" src=\"***imageDirectory***/delicious.png\" alt=\"Del.icio.us!\" title=\"Del.icio.us!\" /></a>',0,'button'),
	  (9,'Del.icio.us - JavaScript Tall Badge','<script src=\"http://images.del.icio.us/static/js/blogbadge.js\"></script>',0,'button'),
	  (10,'Del.icio.us - JavaScript One Line Badge','<script type=\"text/javascript\">if (typeof window.Delicious == \"undefined\") window.Delicious = {}; Delicious.BLOGBADGE_DEFAULT_CLASS = ''delicious-blogbadge-line'';</script><script src=\"http://images.del.icio.us/static/js/blogbadge.js\"></script>',0,'button'),
	  (11,'Mixx - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.mixx.com/submit?page_url=***url_encoded***&title=***title_encoded***''); return false;\" href=\"http://www.mixx.com/\" title=\"Mixx!\" target=\"_blank\"><img height=\"18px\" width=\"18px\" src=\"***imageDirectory***/mixx.png\" alt=\"Mixx!\" title=\"Mixx!\" /></a>',0,'button'),
	  (12,'EntirelyOpenSource.com - Small Button','<a onclick=\"window.open(''http://www.entirelyopensource.com/submit.php?url=***url_encoded***''); return false;\" href=\"http://www.entirelyopensource.com/\" title=\"Free and Open Source Software News\" target=\"_blank\"><img height=\"18px\" width=\"18px\" src=\"***imageDirectory***/entirelyopensource.png\" alt=\"Free and Open Source Software News\" title=\"Free and Open Source Software News\" /></a>',0,'button'),
	  (13,'Google Bookmarks - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.google.com/bookmarks/mark?op=edit&bkmk=***url_encoded***&title=***title_encoded***''); return false;\" href=\"http://www.google.com/bookmarks/\" title=\"Google!\" target=\"_blank\"><img height=\"18px\" width=\"18px\" src=\"***imageDirectory***/google.png\" alt=\"Google!\" title=\"Google!\" /></a>',0,'button'),
	  (14,'Live.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''https://favorites.live.com/quickadd.aspx?url=***url_encoded***&title=***title_encoded***''); return false;\" href=\"https://favorites.live.com/\" title=\"Live!\" target=\"_blank\"><img height=\"18px\" width=\"18px\" src=\"***imageDirectory***/live.png\" alt=\"Live!\" title=\"Live!\" /></a>',0,'button'),
	  (15,'Facebook.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.facebook.com/sharer.php?u=***url_encoded***&t=***title_encoded***''); return false;\" href=\"https://www.facebook.com/\" title=\"Facebook!\" target=\"_blank\"><img height=\"18px\" width=\"18px\" src=\"***imageDirectory***/facebook.png\" alt=\"Facebook!\" title=\"Facebook!\" /></a>',0,'button'),
	  (16,'Slashdot.org - Small Button','<a rel=\"nofollow\" onclick=\"window.open('' http://slashdot.org/bookmark.pl?url=***url*encoded***&title=***title_encoded***''); return false;\" href=\"http://slashdot.org/\" title=\"Slashdot!\" target=\"_blank\"><img height=\"18px\" width=\"18px\" src=\"***imageDirectory***/slashdot.png\" alt=\"Slashdot!\" title=\"Slashdot!\" /></a>',0,'button'),
	  (17,'Netscape.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(http://www.netscape.com/submit/?U=***url_encoded***&T=***title_encoded***''); return false;\" href=\"http://www.netscape.com/\" title=\"Netscape!\" target=\"_blank\"><img height=\"18px\" width=\"18px\" src=\"***imageDirectory***/netscape.png\" alt=\"Netscape!\" title=\"Netscape!\" /></a>',0,'button'),
	  (18,'Technorati.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.technorati.com/faves?add=***url_encoded***''); return false;\" href=\"http://www.technorati.com/\" title=\"Technorati!\" target=\"_blank\"><img src=\"***imageDirectory***/technorati.png\" alt=\"Technorati!\" title=\"Technorati!\" /></a>',0,'button'),
	  (19,'StumbleUpon.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.stumbleupon.com/submit?url=***url_encoded***&title=***title_encoded***''); return false;\" href=\"http://www.stumbleupon.com/\" title=\"StumbleUpon!\" target=\"_blank\"><img src=\"***imageDirectory***/stumbleupon.png\" alt=\"StumbleUpon!\" title=\"StumbleUpon!\" /></a>',0,'button'),
	  (20,'MySpace.com - Small Button','<a rel=\"nofollow\" href=\"http://www.myspace.com/\" title=\"MySpace!\" target=\"_blank\" onclick=\"window.open(''http://www.myspace.com/Modules/PostTo/Pages/?t=***title***&u=***url***''); return false;\"><img height=\"18px\" width=\"18px\" src=\"***imageDirectory***/myspace.png\" alt=\"MySpace!\" title=\"MySpace!\" /></a>',0,'button'),
	  (21,'Spurl.net - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.spurl.net/spurl.php?url=***url_encoded***&title=***title_encoded***''); return false;\" href=\"http://www.spurl.net/\" title=\"Spurl!\" target=\"_blank\"><img src=\"***imageDirectory***/spurl.png\" alt=\"Spurl!\" title=\"Spurl!\" /></a>',0,'button'),
	  (22,'Wists.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://wists.com/r.php?c=&r=***url_encoded***&tot;e=***title_encoded***''); return false;\" href=\"http://wists.com/\" title=\"Wists!\" target=\"_blank\"><img src=\"***imageDirectory***/wists.png\" alt=\"Wists!\" title=\"Wists!\" /></a>',0,'button'),
	  (23,'Simpy.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.simpy.com/simpy/LinkAdd.do?href=***url_encoded***&title=***title_encoded***''); return false;\" href=\"http://www.simpy.com/\" title=\"Simpy!\" target=\"_blank\"><img src=\"***imageDirectory***/simpy.png\" alt=\"Simpy!\" title=\"Simpy!\" /></a>',0,'button'),
	  (24,'Newsvine.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open('' http://www.newsvine.com/_wine/save?u=***url_encoded***&h=***title_encoded***''); return false;\" href=\"http://www.newsvine.com/\" title=\"Newsvine!\" target=\"_blank\"><img src=\"***imageDirectory***/newsvine.png\" alt=\"Newsvine!\" title=\"Newsvine!\" /></a>',0,'button'),
	  (25,'BlinkList.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open('' http://blinklist.com/index.php?Action=Blink/addblink.php&Url=***url_encoded***&Title=***title_encoded***''); return false;\" href=\"http://www.blinklist.com/\" title=\"Blinklist!\" target=\"_blank\"><img src=\"***imageDirectory***/blinklist.png\" alt=\"Blinklist!\" title=\"Blinklist!\" /></a>',0,'button'),
	  (26,'Furl.net - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://furl.net/storeIt.jsp?u=***url_encoded***&t=***title_encoded***''); return false;\" href=\"http://www.furl.net/\" title=\"Furl!\" target=\"_blank\"><img src=\"***imageDirectory***/furl.png\" alt=\"Furl!\" title=\"Furl!\" /></a>',0,'button'),
	  (27,'Fark.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://cgi.fark.com/cgi/fark/submit.pl?new_url=***url_encoded***&new_comment=***title_encoded***&linktype='');return false;\" href=\"http://fark.com\" title=\"Fark!\" target=\"_blank\"><img src=\"***imageDirectory***/fark.png\" alt=\"Fark!\" title=\"Fark!\" /></a>',0,'button'),
	  (28,'BlogMarks.net - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://blogmarks.net/my/new.php?mini=1&simple=1&url=***url_encoded***&title=***title_encoded***''); return false;\" href=\"http://blogmarks.net/\" title=\"Blogmarks!\" target=\"_blank\"><img src=\"***imageDirectory***/blogmarks.png\" alt=\"Blogmarks!\" title=\"Blogmarks!\" /></a>',0,'button'),
	  (29,'Yahoo! Buzz - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://myweb2.search.yahoo.com/myresults/bookmarklet?u=***url_encoded***&t=***title_encoded***''); return false;\" href=\"http://myweb2.search.yahoo.com/\" title=\"Yahoo!\" target=\"_blank\"><img src=\"***imageDirectory***/yahoo.png\" alt=\"Yahoo!\" title=\"Yahoo!\" /></a>',0,'button'),
	  (30,'Smarking.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://smarking.com/editbookmark/?url=***url_encoded***''); return false;\" href=\"http://smarking.com/\" title=\"Smarking!\" target=\"_blank\"><img src=\"***imageDirectory***/smarking.png\" alt=\"Smarking!\" title=\"Smarking!\" /></a>',0,'button'),
	  (31,'Netvouz.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.netvouz.com/action/submitBookmark?url=***url_encoded***&title=***title_encoded***&popup=no''); return false;\" href=\"http://www.netvouz.com/\" title=\"Smarking!\" target=\"_blank\"><img src=\"***imageDirectory***/netvouz.png\" alt=\"Netvouz!\" title=\"Netvouz!\" /></a>',0,'button'),
	  (32,'Mister-Wong.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.mister-wong.com/index.php?action=addurl&bm_url=***url_encoded***&bm_description=***title_encoded***''); return false;\" href=\"http://www.mister-wong.com/\" title=\"Mister-Wong!\" target=\"_blank\"><img src=\"***imageDirectory***/mister-wong.png\" alt=\"Mister-Wong!\" title=\"Mister-Wong!\" /></a>',0,'button'),
	  (33,'RawSugar.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.rawsugar.com/tagger/?turl=***url_encoded***&tttl=***title_encoded***&editorInitialized=1''); return false;\" href=\"http://www.rawsugar.com/\" title=\"RawSugar!\" target=\"_blank\"><img src=\"***imageDirectory***/rawsugar.png\" alt=\"RawSugar!\" title=\"RawSugar!\" /></a>',0,'button'),
	  (34,'Ma.gnolia.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://ma.gnolia.com/bookmarklet/add?url=***url_encoded***&title=***title_encoded***''); return false;\" href=\"http://ma.gnolia.com/\" title=\"Ma.gnolia!\" target=\"_blank\"><img src=\"***imageDirectory***/magnolia.png\" alt=\"Ma.gnolia!\" title=\"Ma.gnolia!\" /></a>',0,'button'),
	  (35,'Squidoo.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.squidoo.com/lensmaster/bookmark?***url_encoded***&title=***title_encoded***''); return false;\" href=\"http://www.squidoo.com/\" title=\"Squidoo!\" target=\"_blank\"><img src=\"***imageDirectory***/squidoo.png\" alt=\"Squidoo!\" title=\"Squidoo!\" /></a>',0,'button'),
	  (36,'FeedMeLinks.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://feedmelinks.com/categorize?from=toolbar&op=submit&url=***url_encoded***&name=***title_encoded***''); return false;\" href=\"http://feedmelinks.com/\" title=\"FeedMeLinks!\" target=\"_blank\"><img src=\"***imageDirectory***/feedmelinks.png\" alt=\"FeedMeLinks!\" title=\"FeedMeLinks!\" /></a>',0,'button'),
	  (37,'BlinkBits.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.blinkbits.com/bookmarklets/save.php?v=1&source_url=***url_encoded***&title=***title_encoded***''); return false;\" href=\"http://www.blinkbits.com/\" title=\"BlinkBits!\" target=\"_blank\"><img src=\"***imageDirectory***/blinkbits.png\" alt=\"BlinkBits!\" title=\"BlinkBits!\" /></a>',0,'button'),
	  (38,'TailRank.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://tailrank.com/share/?link_href=***url_encoded***&title=***title_encoded***''); return false;\" href=\"http://tailrank.com/\" title=\"Tailrank!\" target=\"_blank\"><img src=\"***imageDirectory***/tailrank.png\" alt=\"Tailrank!\" title=\"Tailrank!\" /></a>',0,'button'),
	  (39,'linkaGoGo.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.linkagogo.com/go/AddNoPopup?url=***url_encoded***&title=***title_encoded***''); return false;\" href=\"http://www.linkagogo.com/\" title=\"linkaGoGo!\" target=\"_blank\"><img src=\"***imageDirectory***/linkagogo.png\" alt=\"linkaGoGo!\" title=\"linkaGoGo!\" /></a>',0,'button'),
	  (40,'Cannotea.org - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.connotea.org/addpopup?continue=confirm&uri=***url_encoded***&title=***title_encoded***''); return false;\" href=\"http://www.cannotea.org/\" title=\"Cannotea!\" target=\"_blank\"><img src=\"***imageDirectory***/cannotea.png\" alt=\"Cannotea!\" title=\"Cannotea!\" /></a>',0,'button'),
	  (41,'Diigo.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.diigo.com/post?url=***url_encoded***&title=***title_encoded***''); return false;\" href=\"http://www.diigo.com/\" title=\"Diigo!\" target=\"_blank\"><img src=\"***imageDirectory***/diigo.png\" alt=\"Diigo!\" title=\"Diigo!\" /></a>',0,'button'),
	  (42,'Faves.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://faves.com/Authoring.aspx?u=***url_encoded***&t=***title_encoded***''); return false;\" href=\"http://faves.com/\" title=\"Faves!\" target=\"_blank\"><img src=\"***imageDirectory***/faves.png\" alt=\"Faves!\" title=\"Faves!\" /></a>',0,'button'),
	  (43,'Ask.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://myjeeves.ask.com/mysearch/BookmarkIt?v=1.2&t=webpages&url=***url_encoded***&title=***title_encoded***''); return false;\" href=\"http://faves.com/\" title=\"Ask!\" target=\"_blank\"><img src=\"***imageDirectory***/ask.png\" alt=\"Ask!\" title=\"Ask!\" /></a>',0,'button'),
	  (44,'DZone.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.dzone.com/links/add.html?url=***url_encoded***&title=***title_encoded***''); return false;\" href=\"http://www.dzone.com/\" title=\"DZone!\" target=\"_blank\"><img src=\"***imageDirectory***/dzone.png\" alt=\"DZone!\" title=\"DZone!\" /></a>',0,'button'),
	  (45,'DZone.com - JavaScript Tall Badge','<script type=\"text/javascript\">var dzone_url = ''***url***'';</script><script type=\"text/javascript\">var dzone_title = ''***title***'';</script><script type=\"text/javascript\">var dzone_blurb = ''***description***'';</script><script type=\"text/javascript\">var dzone_style = ''1'';</script><script language=\"javascript\" src=\"http://widgets.dzone.com/widgets/zoneit.js\"></script>',0,'badge'),
	  (46,'DZone.com - JavaScript Wide Badge','<script type=\"text/javascript\">var dzone_url = ''***url***'';</script><script type=\"text/javascript\">var dzone_title = ''***title***'';</script><script type=\"text/javascript\">var dzone_blurb = ''***description***'';</script><script type=\"text/javascript\">var dzone_style = ''2'';</script><script language=\"javascript\" src=\"http://widgets.dzone.com/widgets/zoneit.js\"></script>',0,'button'),
	  (47,'Swik.net - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://stories.swik.net/?submitUrl&url=***url_encoded***''); return false;\" href=\"http://stories.swik.net/\" title=\"Swik!\" target=\"_blank\"><img src=\"***imageDirectory***/swik.png\" alt=\"Swik!\" title=\"Swik!\" /></a>',0,'button'),
	  (48,'Shoutwire.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.shoutwire.com/?p=submit&link=***url_encoded***''); return false;\" href=\"http://wwww.shoutwire.net/\" title=\"ShoutWire!\" target=\"_blank\"><img src=\"***imageDirectory***/shoutwire.png\" alt=\"ShoutWire!\" title=\"ShoutWire!\" /></a>',0,'button'),
	  (49,'MyLinkVault.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.mylinkvault.com/link-quick.php?u=***url_decoded***&n=***title_encoded***''); return false;\" href=\"http://wwww.mylinkvault.net/\" title=\"MyLinkVault!\" target=\"_blank\"><img src=\"***imageDirectory***/mylinkvault.png\" alt=\"MyLinkVault!\" title=\"MyLinkVault!\" /></a>',0,'button'),
	  (50,'Maple.nu - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.maple.nu/submit.php?url=***url_encoded***&title=***title_encoded***''); return false;\" href=\"http://maple.nu/\" title=\"Maple!\" target=\"_blank\"><img src=\"***imageDirectory***/maple.png\" alt=\"Maple!\" title=\"Maple!\" /></a>',0,'button'),
	  (51,'BlogRolling.com - Small Button','<a rel=\"nofollow\" onclick=\"window.open(''http://www.blogrolling.com/add_links_pop.phtml?u=***url_encoded***&t=***title_encoded***''); return false;\" href=\"http://www.blogrolling.com/\" title=\"BlogRolling!\" target=\"_blank\"><img src=\"***imageDirectory***/blogrolling.png\" alt=\"BlogRolling!\" title=\"BlogRolling!\" /></a>',0,'button'),
	  (52,'AddThis.com - JavaScript Drop Down Badge','<!-- AddThis Bookmark Button BEGIN --><script type=\"text/javascript\">addthis_url = ''***url***''; addthis_title = ''***title***''; addthis_pub = ''***addThisPubId***'';</script><script type=\"text/javascript\" src=\"http://s7.addthis.com/js/addthis_widget.php?v=12\" ></script><!-- AddThis Bookmark Button END -->',0,'button'),
	  (53,'AddThis.com - Button Style 1','<!-- AddThis Bookmark Button BEGIN --><a href=\"http://www.addthis.com/bookmark.php\" onclick=\"addthis_url = ''***url***''; addthis_title = ''***title***''; return addthis_click(this);\" target=\"_blank\"><img src=\"http://s9.addthis.com/button0-bm.gif\" width=\"83\" height=\"16\" border=\"0\" alt=\"AddThis Social Bookmark Button\" /></a> <script type=\"text/javascript\">var addthis_pub = ''***addThisPubId***'';</script><script type=\"text/javascript\" src=\"http://s9.addthis.com/js/widget.php?v=10\"></script>  <!-- AddThis Bookmark Button END -->',0,'button'),
	  (54,'AddThis.com - Button Style 2','<!-- AddThis Bookmark Button BEGIN --><a href=\"http://www.addthis.com/bookmark.php\" onclick=\"addthis_url = ''***url***''; addthis_title = ''***title***''; return addthis_click(this);\" target=\"_blank\"><img src=\"http://s9.addthis.com/button1-bm.gif\" width=\"125\" height=\"16\" border=\"0\" alt=\"AddThis Social Bookmark Button\" /></a> <script type=\"text/javascript\">var addthis_pub = ''***addThisPubId***'';</script><script type=\"text/javascript\" src=\"http://s9.addthis.com/js/widget.php?v=10\"></script>  <!-- AddThis Bookmark Button END -->',0,'button'),
	  (55,'AddThis.com - Button Style 3','<!-- AddThis Bookmark Button BEGIN --><a href=\"http://www.addthis.com/bookmark.php\" onclick=\"addthis_url = ''***url***''; addthis_title = ''***title***''; return addthis_click(this);\" target=\"_blank\"><img src=\"http://s9.addthis.com/button1-share.gif\" width=\"125\" height=\"16\" border=\"0\" alt=\"AddThis Social Bookmark Button\" /></a> <script type=\"text/javascript\">var addthis_pub = ''***addThisPubId***'';</script><script type=\"text/javascript\" src=\"http://s9.addthis.com/js/widget.php?v=10\"></script>  <!-- AddThis Bookmark Button END -->',0,'button'),
	  (56,'AddThis.com - Button Style 4','<!-- AddThis Bookmark Button BEGIN --><a href=\"http://www.addthis.com/bookmark.php\" onclick=\"addthis_url = ''***url***''; addthis_title = ''***title***''; return addthis_click(this);\" target=\"_blank\"><img src=\"http://s9.addthis.com/button1-addthis.gif\" width=\"125\" height=\"16\" border=\"0\" alt=\"AddThis Social Bookmark Button\" /></a> <script type=\"text/javascript\">var addthis_pub = ''***addThisPubId***'';</script><script type=\"text/javascript\" src=\"http://s9.addthis.com/js/widget.php?v=10\"></script><!-- AddThis Bookmark Button END -->',0,'button'),
	  (57,'AddThis.com - Button Style 5','<!-- AddThis Bookmark Button BEGIN --><a href=\"http://www.addthis.com/bookmark.php\" onclick=\"addthis_url = ''***url***''; addthis_title = ''***title***''; return addthis_click(this);\" target=\"_blank\"><img src=\"http://s9.addthis.com/button2-bm.png\" width=\"160\" height=\"24\" border=\"0\" alt=\"AddThis Social Bookmark Button\" /></a> <script type=\"text/javascript\">var addthis_pub = ''***addThisPubId***'';</script><script type=\"text/javascript\" src=\"http://s9.addthis.com/js/widget.php?v=10\"></script><!-- AddThis Bookmark Button END -->',0,'button'),
	  (58,'GodSurfer.com - Small Button','<a rel=\"nofollow\" href=\"http://www.godsurfer.com/\" title=\"GodSurfer!\" target=\"_blank\"   \r\n        onclick=\"window.open(''http://www.godsurfer.com/addStory.php?url=***url***''); return false;\">  \r\n        <img height=\"18px\" width=\"18px\" src=\"***imageDirectory***/godsurfer.png\" alt=\"GodSurfer!\" title=\"GodSurfer!\" /></a>',0,'button'),
	  (59,'GodSurfer.com - JavaScript Large Badge','<script type=\"text/javascript\">GODSurfer_url = \"***url***\";</script><script src=\"http://www.godsurfer.com/tools/GODSurfer.js\" type=\"text/javascript\"></script>',0,'badge'),
	  (60,'GodSurfer.com - JavaScript Compact Badge','<script type=\"text/javascript\">GODSurfer_url = \"***url***\"; GODSurfer_skin = \"compact\";</script><script src=\"http://www.godsurfer.com/tools/GODSurfer.js\" type=\"text/javascript\"></script>',0,'badge');";
	$db->SetQuery($query);
	$db->query();
}

// Create/Alter Categories Table
if ($db->query( $db->SetQuery("SELECT * FROM `#__bloggies_categories` LIMIT 0,1") )){

	$db->query( $db->SetQuery("ALTER TABLE `#__bloggies_categories` ADD `default` TINYINT(4) NOT NULL DEFAULT '0'") );

}else{
	$query = "CREATE TABLE `#__bloggies_categories` (
	  `id` INTEGER(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	  `title` VARCHAR(255) COLLATE utf8_general_ci NOT NULL DEFAULT '',
	  `default` TINYINT(4) NOT NULL DEFAULT '0',
	  `slug` VARCHAR(255) COLLATE utf8_general_ci NOT NULL DEFAULT '',
	  `text` MEDIUMTEXT NOT NULL,
	  `meta_keywords` TEXT COLLATE utf8_general_ci NOT NULL,
	  `meta_description` TEXT COLLATE utf8_general_ci NOT NULL,
	  `published` TINYINT(1) NOT NULL DEFAULT '0',
	  `checked_out` INTEGER(11) UNSIGNED NOT NULL DEFAULT '0',
	  `checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	  `ordering` INTEGER(11) NOT NULL DEFAULT '0',
	  PRIMARY KEY (`id`)
	) {$type}";
	$db->SetQuery($query);
	$db->query();
	
	//Add Data
	$query = "INSERT INTO `#__bloggies_categories` (`id`, `title`, `default`, `slug`, `text`, `meta_keywords`, `meta_description`, `published`, `checked_out`, `checked_out_time`, `ordering`) VALUES
	  (1,'Bloggies',1,'bloggies','','','',1,62,'2009-09-30 20:19:53',1);";
	$db->SetQuery($query);
	$db->query();
}

// Create Comment Table
$query = "CREATE TABLE IF NOT EXISTS `#__bloggies_comments` (
  `id` INTEGER(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `entry_id` INTEGER(11) NOT NULL DEFAULT '0',
  `author` TINYTEXT NOT NULL,
  `author_email` VARCHAR(100) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `author_url` TEXT COLLATE utf8_general_ci,
  `author_ip` VARCHAR(100) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `date` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
  `content` TEXT COLLATE utf8_general_ci NOT NULL,
  `karma` INTEGER(11) NOT NULL DEFAULT '0',
  `agent` VARCHAR(255) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `type` VARCHAR(20) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `parent` VARCHAR(20) COLLATE utf8_general_ci NOT NULL DEFAULT '0',
  `user_id` VARCHAR(20) COLLATE utf8_general_ci NOT NULL DEFAULT '0',
  `state` TINYINT(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `entry_id` (`entry_id`)
) {$type}";
$db->SetQuery($query);
$db->query();

// Create Entries Table
$query = "CREATE TABLE IF NOT EXISTS `#__bloggies_entries` (
  `id` INTEGER(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `title` VARCHAR(255) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `alias` VARCHAR(255) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `title_alias` VARCHAR(255) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `introtext` MEDIUMTEXT NOT NULL,
  `fulltext` MEDIUMTEXT NOT NULL,
  `state` TINYINT(3) NOT NULL DEFAULT '0',
  `sectionid` INTEGER(11) UNSIGNED NOT NULL DEFAULT '0',
  `mask` INTEGER(11) UNSIGNED NOT NULL DEFAULT '0',
  `catid` INTEGER(11) UNSIGNED NOT NULL DEFAULT '0',
  `created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` INTEGER(11) UNSIGNED NOT NULL DEFAULT '0',
  `created_by_alias` VARCHAR(255) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` INTEGER(11) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out` INTEGER(11) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` TEXT COLLATE utf8_general_ci NOT NULL,
  `urls` TEXT COLLATE utf8_general_ci NOT NULL,
  `attribs` TEXT COLLATE utf8_general_ci NOT NULL,
  `pinged` TEXT COLLATE utf8_general_ci NOT NULL,
  `version` INTEGER(11) UNSIGNED NOT NULL DEFAULT '1',
  `metakey` TEXT COLLATE utf8_general_ci NOT NULL,
  `metadesc` TEXT COLLATE utf8_general_ci NOT NULL,
  `access` INTEGER(11) UNSIGNED NOT NULL DEFAULT '0',
  `hits` INTEGER(11) UNSIGNED NOT NULL DEFAULT '0',
  `metadata` TEXT COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_section` (`sectionid`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`)
) {$type}";
$db->SetQuery($query);
$db->query();

// Create Permalinks Table
$query = "CREATE TABLE IF NOT EXISTS `#__bloggies_permalinks` (
  `entryid` INTEGER(10) UNSIGNED NOT NULL DEFAULT '0',
  `permalink` TEXT COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`entryid`)
) {$type}";
$db->SetQuery($query);
$db->query();

// Create Relations Table
$query = "CREATE TABLE IF NOT EXISTS `#__bloggies_relations` (
  `id` INTEGER(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `entry` INTEGER(10) UNSIGNED NOT NULL DEFAULT '0',
  `tag` INTEGER(10) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) {$type}";
$db->SetQuery($query);
$db->query();

// Create Reports Table
$query = "CREATE TABLE IF NOT EXISTS `#__bloggies_reports` (
  `id` INTEGER(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` INTEGER(11) DEFAULT '0',
  `comment_id` INTEGER(11) NOT NULL DEFAULT '0',
  `reason` TEXT COLLATE utf8_general_ci NOT NULL,
  `date` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) {$type}";
$db->SetQuery($query);
$db->query();

// Delete Sideitems Table
$query = "DROP TABLE IF EXISTS `#__bloggies_sideitems`;";
$db->SetQuery($query);
$db->query();

// Create/Delete Sideitems Table
$query = "CREATE TABLE `#__bloggies_sideitems` (
  `id` INTEGER(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(255) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `title` VARCHAR(255) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `author` VARCHAR(56) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `custom_title` TEXT COLLATE utf8_general_ci,
  `html` TEXT COLLATE utf8_general_ci NOT NULL,
  `published` TINYINT(4) NOT NULL DEFAULT '0',
  `type` VARCHAR(20) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `ordering` INTEGER(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) {$type}";
$db->SetQuery($query);
$db->query();

// Create Tags Table
$query = "CREATE TABLE IF NOT EXISTS `#__bloggies_tags` (
  `id` INTEGER(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(50) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `slug` VARCHAR(255) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) {$type}";
$db->SetQuery($query);
$db->query();

// Create Themes Table
$query = "CREATE TABLE IF NOT EXISTS `#__bloggies_themes` (
  `id` INTEGER(11) NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(255) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `title` VARCHAR(255) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `is_default` INTEGER(1) NOT NULL DEFAULT '0',
  `author` VARCHAR(56) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `email` VARCHAR(124) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `website` VARCHAR(255) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `version` VARCHAR(24) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `license` VARCHAR(255) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `copyright` VARCHAR(255) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `create_date` VARCHAR(56) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `attribs` TEXT COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) {$type}";
$db->SetQuery($query);
$db->query();

// Add First Entry
$query = "INSERT IGNORE INTO `#__bloggies_entries` (`id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `images`, `urls`, `attribs`, `pinged`, `version`, `metakey`, `metadesc`, `access`, `hits`, `metadata`) VALUES
  (1,'Welcome to Lyften Bloggie!','welcome-to-lyften-bloggie','','<p>Hello there.</p><p><img src=\"components/com_lyftenbloggie/assets/images/logo.png\" border=\"0\" width=\"400\" height=\"128\" align=\"right\" /></p><br /><p>Welcome to your new blog powered by LyftenBloggie.<br /><br /></p><p>To get started, login into Joomla''s Adminstrator backend and add current site users as authors. Then start blogging. To find out more about the different options and what you cand do with Lyften Bloggie go to <a href=\"http://www.lyften.com/products/lyftenbloggie.html\">http://www.lyften.com/products/lyftenbloggie.html</a></p>','',1,0,0,1,'2009-10-04 21:48:00',62,'','','','','','','','allow_comments=1\nshow_vote=1','',10,'','',0,0,'robots=\nauthor=');";
$db->SetQuery($query);
$db->query();

// Add Tags to First Entry
$query = "INSERT IGNORE INTO `#__bloggies_relations` (`id`, `entry`, `tag`) VALUES
  (1,1,7),
  (2,1,9),
  (3,1,10);";
$db->SetQuery($query);
$db->query();

// Add Default Side Items
$query = "INSERT IGNORE INTO `#__bloggies_sideitems` (`id`, `name`, `title`, `author`, `custom_title`, `html`, `published`, `type`, `ordering`) VALUES
  (1,'aboutblock','AboutBlock','Lyften Designs','','',1,'Plugin',1),
  (2,'authors','Authors','Lyften Designs','','maxAuthorsLimit=5',1,'Plugin',2),
  (3,'authortools','AuthorTools','Lyften Designs','','showCreateEntry=1\nshowAboutBoxOptions=1',1,'Plugin',3),
  (4,'calendar','Calendar','Lyften Designs','','',1,'Plugin',4),
  (5,'categories','Categories','Lyften Designs','','',1,'Plugin',5),
  (6,'flickr','FlickR','Lyften Designs','<span class=\"flick\">Flick</span><span class=\"r\">r</span>','<table cellpadding=\"0\" cellspacing=\"10\" border=\"0\" id=\"flickr_badge_wrapper\">\n<script type=\"text/javascript\" src=\"http://www.flickr.com/badge_code_v2.gne?count=10&display=latest&size=s&layout=h&source=user&user=32185730%40N05\"></script>\n</table>',0,'Script',6),
  (7,'rssaggregator','RSS Aggregator','Lyften Designs','','showNetVibes=1\nshowMyYahoo=1\nshowNewsGator=0\nshowGoogle=0\nshowAOL=0\nshowFeedLounge=0\nshowWindows=0\nshowRojo=0\nshowBloglines=0\nshowPlusmo=0\nshowPageFlakes=0\nshowTechnorati=0\nshowBlinkBits=0\nshowMSN=0\nshowNewsburst=0',1,'Plugin',7),
  (8,'tagcloud','TagCloud','Lyften Designs','','',1,'Plugin',8);";
$db->SetQuery($query);
$db->query();

// Add Default tags
$query = "INSERT IGNORE INTO `#__bloggies_tags` (`id`, `name`, `slug`) VALUES
  (1,'Gadgets','gadgets'),
  (2,'Sports','sports'),
  (3,'General','general'),
  (4,'Vacation','vacation'),
  (5,'Product News','product-news'),
  (6,'Add-ons','add-ons'),
  (7,'Announcements','announcements'),
  (8,'Office','office'),
  (9,'Software','software'),
  (10,'Updates','updates'),
  (11,'Upgrade','upgrade');";
$db->SetQuery($query);
$db->query();

// Add Default Theme
$query = "INSERT IGNORE INTO `#__bloggies_themes` (`id`, `name`, `title`, `is_default`, `author`, `email`, `website`, `version`, `license`, `copyright`, `create_date`, `attribs`) VALUES
  (1,'default','Default Theme',1,'Lyften Designs','joomla@lyften.com','http://www.lyften.com','1.0','GNU/Lesser General Public License','Copyright 2008 Lyften Designs','2009','');";
$db->SetQuery($query);
$db->query();