<?php
/**
 * LyftenBloggie 1.0 - Joomla! Blog Manager
 * @package 	LyftenBloggie 1.0
 * @subpackage 	AboutBlock Plugin 1.0
 *
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');

/**
 *	Returns a Tag cloud
 */ 
function getAuthorTools($plg_params, $author){	
	
	global $mainframe;
	$db 	=& JFactory::getDBO();
	$user 	= & JFactory::getUser(); 

	if($user->guest) return;
	
	$query = 'SELECT user_id'
			. ' FROM #__bloggies_authors'
			. ' WHERE user_id = '. (int) $user->get('id')
			. ' AND published = 1'
			;
	$db->setQuery($query);
	$author = $db->loadResult();

	//return false it authour not found
	if (!$author) return false;
	
	$output = '<div class="authortools">';
	
	$output .= '<a href="'.JRoute::_(LyftenBloggieHelperRoute::getMyEntriesRoute()).'" class="rbutton">My Entries</a> ';
	
	if ($plg_params->get('showCreateEntry')) :	
		$output .= '<a href="'.JRoute::_(LyftenBloggieHelperRoute::getNewEntryRoute()).'" class="rbutton">New Entry</a> ';
	endif;

	if ($plg_params->get('showAboutBoxOptions')) :	
		$output .= '<a href="'.JRoute::_(LyftenBloggieHelperRoute::getMyDetailsRoute($author)).'" class="rbutton">My Details</a>';
	endif;
	
	$output .= '</div>';

return $output;
	
	//set variables
	$params 	= & $mainframe->getParams('com_lyftenbloggie');
	$limit 		= $plg_params->get('maxCloudLimit', '25');
	$db 		=& JFactory::getDBO();

	$query = 'SELECT *'
			. ' FROM #__bloggies_authors'
			. ' WHERE user_id = '.$author
			;
	$db->setQuery($query);
	$author_data = $db->loadObject();

	//return false it authour not found
	if (empty($author_data)) return false;
	
	//Make Author Parameters
	$aparams = new JParameter($author_data->attribs);

	//Start Output
	$output = '<h3 class="about"><span class="about-feed-right">';

	//I like Facebook so I made it main
	if (($aparams->get('showFaceBookLink')) && ($aparams->get('facebookURL'))) :
		$output .= '<a href="'.$aparams->get('facebookURL').'" target="_blank">Facebook</a>';
	endif;

	//Show RSS feed link
	if ($params->get('useRSSFeed')) :
		$output .= (($aparams->get('showFaceBookLink')) && ($aparams->get('facebookURL')))?' | ':'';
		$output .= '<a href="'.JRoute::_(LyftenBloggieHelperRoute::getBlogFeedRoute('rss2')).'">Feeds</a>';
	endif;
	
	$output .= '</span>';
	$output .= $author_data->name.'</h3>';
	$output .= '<div class="items_wrapper" id="about_items_wrapper">';

	//if there is an avatar show it
	if ($author_data->avatar) :
		$output .= '<img src="'.com_lyftenbloggie_ASSETS.'/avatars/'.$author_data->avatar.'" class="avatar">';
	endif;
	
	$output .= $aparams->get('mainBlogDesc');
	$output .= '<div class="clear" style="margin-top:10px;"></div>';

	//determine which social network to link to
	$output .= ($aparams->get('facebookURL'))?'<a href="'.$aparams->get('facebookURL').'" target="_blank"><img src="'.com_lyftenbloggie_ASSETS.'/images/social/facebook.gif" border="0"></a>':'';
	$output .= ($aparams->get('diggURL'))?'<a href="'.$aparams->get('diggURL').'" target="_blank"><img src="'.com_lyftenbloggie_ASSETS.'/images/social/digg.png" border="0"></a>':'';
	$output .= ($aparams->get('deliciousURL'))?'<a href="'.$aparams->get('deliciousURL').'" target="_blank"><img src="'.com_lyftenbloggie_ASSETS.'/images/social/delicious.gif" border="0"></a>':'';
	$output .= ($aparams->get('technoratiURL'))?'<a href="'.$aparams->get('technoratiURL').'" target="_blank"><img src="'.com_lyftenbloggie_ASSETS.'/images/social/technorati.png" border="0"></a>':'';
	$output .= ($aparams->get('twitterURL'))?'<a href="'.$aparams->get('twitterURL').'" target="_blank"><img src="'.com_lyftenbloggie_ASSETS.'/images/social/twitter.gif" border="0"></a>':'';
	$output .= ($aparams->get('flickrURL'))?'<a href="'.$aparams->get('flickrURL').'" target="_blank"><img src="'.com_lyftenbloggie_ASSETS.'/images/social/flickr.gif" border="0"></a>':'';
	$output .= ($aparams->get('mybloglogURL'))?'<a href="'.$aparams->get('mybloglogURL').'" target="_blank"><img src="'.com_lyftenbloggie_ASSETS.'/images/social/mybloglog.png" border="0"></a>':'';
	$output .= ($aparams->get('ffindURL'))?'<a href="'.$aparams->get('ffindURL').'" target="_blank"><img src="'.com_lyftenbloggie_ASSETS.'/images/social/ffind.jpg" border="0"></a>':'';

	$output .= '<div class="clear"></div></div>';
	
	return $output;
}