<?php
/**
 * LyftenBloggie 1.0 - Joomla! Blog Manager
 * @package 	LyftenBloggie 1.0
 * @subpackage 	Calendar Plugin 1.0
 *
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');

/**
 *	Returns a Calendar
 */ 
function getcalendar($params){	

	global $mainframe;

	$jconfig 	= new JConfig();
	$db =& JFactory::getDBO();
	$my = &JFactory::getUser();

	// get variables
	$linkBg         = trim( $params->get( 'linkbg') );
	$currBg         = trim( $params->get( 'currbg') );
	$currFontClr    = trim( $params->get( 'currfontclr'));

	$firstdayofweek = intval( $params->get( 'firstdayofweek', 0 ) );

	$mn 			= intval (JArrayHelper::getValue( $_REQUEST, 'mn', 0 ));

	// Start making the calendar
	$time 			= time();
	$mycurmonth 	= (date( 'm', $time)-1 + $mn)%12 + 1;
	$month 			= date( 'm', $time) + $mn;
	$year 			= date( 'Y', $time) ;
	$yearoff 		= floor((date( 'm', $time)-1 + $mn)/12);
	$year 			+= $yearoff;

	while($mycurmonth <= 0) {
		$mycurmonth += 12;
	}
		 
	if (true) {
		$query = "SELECT DAYOFMONTH(created) AS created_day, created, id, sectionid, YEAR(created) AS created_year, MONTH(created) AS created_month"
		. "\n FROM #__bloggies_entries"
		. "\n WHERE (state = 1 )"
		. "\n AND access <= $my->gid"
		. "\n GROUP BY created_year DESC, created_month DESC, created_day DESC";
		$db->setQuery($query);
		$entries = $db->loadObjectList();

		$days = array();
  
		foreach ( $entries as $entry ) {
			if (($year == $entry->created_year) && ($mycurmonth == $entry->created_month)) {

				$archivedate = JHTML::date( $entry->created, '%Y').'+'.JHTML::date( $entry->created, '%m').'+'.JHTML::date( $entry->created, '%d');
				$tmptime = $entry->created;

				if ( $tmptime && ereg( "([0-9]{4})-([0-9]{2})-([0-9]{2})[ ]([0-9]{2}):([0-9]{2}):([0-9]{2})", $tmptime, $regs ) ) {
					$tmptime 	= mktime( $regs[4], $regs[5], $regs[6], $regs[2], $regs[3], $regs[1] );
					$tmptime 	= $tmptime + ($jconfig->offset*60*60) ;
				}
						
				$day 	= array (date ( 'j', $tmptime ) => array(JRoute::_(LyftenBloggieHelperRoute::getArchiveRoute($archivedate, $mn), false)));
				$days 	= $days + $day;
			}
		}

	}
		 
	// Getting Month Names
	$first_of_month = gmmktime(0,0,0,$month-1,1,$year);
	list($tmp, $year, $prev_month, $weekday) = explode(',',gmstrftime('%m,%Y,%b,%w',$first_of_month));
	$first_of_month = gmmktime(0,0,0,$month+1,1,$year);
	list($tmp, $year, $next_month, $weekday) = explode(',',gmstrftime('%m,%Y,%b,%w',$first_of_month));

	$year = date('Y', $time);
	$day_name_length = 1;

	$first_of_month = gmmktime(0,0,0,$month,1,$year);

	$day_names = array();

	for($n=0,$t=(3+$firstdayofweek)*86400; $n<7; $n++,$t+=86400)
	$day_names[$n] = ucfirst(gmstrftime('%A',$t));

	list($month, $year, $month_name, $weekday) = explode(',',gmstrftime('%m,%Y,%B,%w',$first_of_month));
		
	$weekday 			= ($weekday + 7 - $firstdayofweek) % 7;
	$abbr_month_name 	= $params->get( 'monthname_width', 0 )?mb_substr($month_name,0,3):$month_name;
	$abbr_year 			= $params->get( 'year_width', 1 )?$year:mb_substr($year, 2, 3);
		
	if ($params->get( 'monthyearformat', 0 )==1)
		$title   = $abbr_year.'&nbsp;'.htmlentities(ucfirst($month_name), ENT_QUOTES, 'UTF-8');  
	else
		$title   = htmlentities(ucfirst($month_name), ENT_QUOTES, 'UTF-8').'&nbsp;'.$abbr_year;  #note that some locales don't capitalize month and day names

	// Begin calendar
	$calendar 	= '<table class="calendar" cellspacing="0" cellpadding="0">'
	.'<caption><a href="'.JRoute::_( 'index.php?option=com_lyftenbloggie&view=lyftenbloggie&mn='.($mn - 1) ).'" title="Previous Month" rel="nofollow" class="navl">&laquo;</a><a href="'.JRoute::_( 'index.php?option=com_lyftenbloggie&view=lyftenbloggie&mn='.($mn + 1) ).'" title="Next Month" rel="nofollow" class="navr">&raquo;</a> <div class="month-title">'.$title.'</div></caption><tr>';

	if($day_name_length){
		foreach($day_names as $d) {
			$day_name = htmlentities($d, ENT_QUOTES, 'UTF-8');
			$calendar .= '<th scope="col" abbr="'.$day_name.'" title="'.$day_name.'">'.htmlentities($day_name_length < 4 ? mb_substr($d,0,$day_name_length) : $d, ENT_QUOTES, 'UTF-8').'</th>';
		}
		$calendar .= '</tr>';
	}

	// Today 
	$today 		= date( 'j', $time);
	$currmonth 	= date( 'm', $time);
	$curryear 	= date( 'Y', $time);

	if($weekday > 0) $calendar .= '<td colspan="'.$weekday.'">&nbsp;</td>'; #initial 'empty' days
	for($day=1,$days_in_month=gmdate('t',$first_of_month); $day<=$days_in_month; $day++,$weekday++){
		if($weekday == 7){
			$weekday   = 0;
			$calendar .= "</tr>\n<tr>";
		}

		$istoday = (($day == $today) & ($currmonth == $month) & ($curryear == $year))?' class="today"':'';
		$space = ($day < 10)?'&nbsp;&nbsp;':'';
		$svtbg = $istoday ? $currBg : $linkBg;

		if(isset($days[$day]) and is_array($days[$day])){
			@list($link, $classes, $content) = $days[$day];
			if(is_null($content))  $content  = $day;
			$content = ($link?'<a rel="nofollow" href="'.htmlspecialchars($link, ENT_QUOTES, 'UTF-8').'">':'').$day.($link?'</a>':'');
		}else{
			$content = $day;
		}
		$calendar .= '<td'.$istoday.'>'.$content.'</td>';
	}
	
	if($weekday != 7) $calendar .= '<td colspan="'.(7-$weekday).'">&nbsp;</td>';
	$calendar .= "</tr>\n</table>\n";

	return $calendar;		
}