<?php
/**
 * LyftenBloggie 1.0 - Joomla! Blog Manager
 * @package 	LyftenBloggie 1.0
 * @subpackage 	RSS Aggregators Plugin 1.0
 *
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');

/**
* Returns all enabled RSS Aggregators
*/ 
function getrssaggregator($params){	
	$return = array();
	$url 	= urlencode(JRoute::_(JURI::base().'index.php?option=com_lyftenbloggie&task=feed&type=rss2', false));
	$k 		= 0;
	
	if ($params->get( 'showNetVibes')) {
		$return[$k][] = '<a href="http://www.netvibes.com/subscribe.php?url='.$url.'" title="Add to NetVibes" target="_blank"><img src="'.JURI::base().'components/com_lyftenbloggie/plugins/rssaggregator/images/add2netvibes.gif" alt="Add to NetVibes" border="0" height="17" width="91"></a><br />';
		$k = 1 - $k;
	}
		
	if ($params->get( 'showMyYahoo')) {
		$return[$k][] = '<a href="http://add.my.yahoo.com/rss?url='.$url.'" title="Add to MyYahoo!" target="_blank"><img src="'.JURI::base().'components/com_lyftenbloggie/plugins/rssaggregator/images/yahoo.gif" alt="Add to MyYahoo!" border="0"></a><br />';
		$k = 1 - $k;
	}
	if ($params->get( 'showNewsGator')) {
		$return[$k][] = '<a href="http://www.newsgator.com/ngs/subscriber/subext.aspx?url='.$url.'" title="Subscribe in NewsGator Online" target="_blank"><img src="'.JURI::base().'components/com_lyftenbloggie/plugins/rssaggregator/images/ngsub1.gif" alt="Subscribe in NewsGator Online" border="0"></a><br />';
		$k = 1 - $k;
	}
	if ($params->get( 'showGoogle')) {
		$return[$k][] = '<a href="http://fusion.google.com/add?feedurl='.$url.'" title="Add to Google" target="_blank"><img src="'.JURI::base().'components/com_lyftenbloggie/plugins/rssaggregator/images/add.gif" alt="Add to Google" border="0" height="17" width="104"></a><br />';
		$k = 1 - $k;
	}
	if ($params->get( 'showAOL')) {
		$return[$k][] = '<a href="http://feeds.my.aol.com/add.jsp?url='.$url.'" title="Add to My AOL" target="_blank"><img src="'.JURI::base().'components/com_lyftenbloggie/plugins/rssaggregator/images/myaol_cta1.gif" alt="Add to My AOL" border="0"></a><br />';
		$k = 1 - $k;
	}
	if ($params->get( 'showFeedLounge')) {
		$return[$k][] = '<a href="http://my.feedlounge.com/external/subscribe?url='.$url.'" title="Subscribe in FeedLounge" target="_blank"><img src="'.JURI::base().'components/com_lyftenbloggie/plugins/rssaggregator/images/feedlounge2.gif" alt="Subscribe in FeedLounge" border="0"></a><br />';
		$k = 1 - $k;
	}
	if ($params->get( 'showWindows')) {
		$return[$k][] = '<a href="http://www.live.com/?add='.$url.'" title="Add to Windows Live" target="_blank"><img src="'.JURI::base().'components/com_lyftenbloggie/plugins/rssaggregator/images/live.gif" alt="Add to Windows Live" border="0"></a><br />';
		$k = 1 - $k;
	}
	if ($params->get( 'showRojo')) {
		$return[$k][] = '<a href="http://www.rojo.com/add-subscription?resource='.$url.'" title="Subscribe in Rojo" target="_blank"><img src="'.JURI::base().'components/com_lyftenbloggie/plugins/rssaggregator/images/add-to-rojo.gif" alt="Subscribe in Rojo" border="0"></a><br />';
		$k = 1 - $k;
	}
	if ($params->get( 'showBloglines')) {
		$return[$k][] = '<a href="http://www.bloglines.com/sub/'.$url.'" title="Subscribe in Bloglines" target="_blank"><img src="'.JURI::base().'components/com_lyftenbloggie/plugins/rssaggregator/images/bloglines.gif" alt="Subscribe in Bloglines" border="0"></a><br />';
		$k = 1 - $k;
	}
	if ($params->get( 'showPlusmo')) {
		$return[] = '<a href="http://plusmo.com/add?url='.$url.'" title="Add to Plusmo for your cellphone" target="_blank"><img src="'.JURI::base().'components/com_lyftenbloggie/plugins/rssaggregator/images/plusmo.gif" alt="Add to Plusmo for your cellphone" border="0"></a><br />';
		$k = 1 - $k;
	}
	if ($params->get( 'showPageFlakes')) {
		$return[$k][] = '<a href="http://www.pageflakes.com/subscribe.aspx?url='.$url.'" title="Add to PageFlakes" target="_blank"><img src="'.JURI::base().'components/com_lyftenbloggie/plugins/rssaggregator/images/pageflakes.gif" alt="Add to PageFlakes" border="0"></a><br />';
		$k = 1 - $k;
	}
	if ($params->get( 'showTechnorati')) {
		$return[$k][] = '<a href="http://technorati.com/faves?add='.$url.'" title="Add to Technorati" target="_blank"><img src="'.JURI::base().'components/com_lyftenbloggie/plugins/rssaggregator/images/technorati1.gif" alt="Add to Technorati" border="0"></a><br />';
		$k = 1 - $k;
	}
	if ($params->get( 'showBlinkBits')) {
		$return[$k][] = '<a href="http://www.blinkbits.com/bookmarklets/save.php?v=1&amp;source_image_url=http://www.osnews.com/images/osn2.gif&amp;rss_feed_url='.$url.'" title="Add to BlinkBits" target="_blank"><img src="'.JURI::base().'components/com_lyftenbloggie/plugins/rssaggregator/images/savetoblinkbits_button.gif" alt="Add to BlinkBits" border="0"></a><br />';
		$k = 1 - $k;
	}
	if ($params->get( 'showMSN')) {
		$return[$k][] = '<a href="http://my.msn.com/addtomymsn.armx?id=rss&amp;ut='.$url.'" title="Add to MyMSN" target="_blank"><img src="'.JURI::base().'components/com_lyftenbloggie/plugins/rssaggregator/images/my_msn.gif" alt="Add to MyMSN" border="0"></a><br />';
		$k = 1 - $k;
	}
	if ($params->get( 'showNewsburst')) {
		$return[$k][] = '<a href="http://www.newsburst.com/Source/?add='.$url.'" title="Add to Newsburst" target="_blank"><img src="'.JURI::base().'components/com_lyftenbloggie/plugins/rssaggregator/images/newsburst3.gif" alt="Add to Newsburst" border="0"></a><br />';
		$k = 1 - $k;
	}

	if (empty($return)) return;
	$width 	= (count($return[0]) > 1)?' width="200px"':'';
	
	$table 	= '<table'.$width.'><tr><td valign="top" align="left">'.implode( '', $return[0] ).'</td>';
	$table .= (isset($return[1]))?'<td valign="top" align="right">'.implode( '', $return[1] ).'</td>':'';
	$table .= '</tr></table>';

	return $table;
}



