<?php
/**
 * LyftenBloggie 1.0 - Joomla! Blog Manager
 * @package LyftenBloggie 1.0
 * @copyright (C) 2009 Lyften Designs
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');

function LyftenBloggieBuildRoute(&$query)
{
	$segments = array();

	if(isset($query['view']))
	{
		if(empty($query['Itemid'])) {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'entry') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'comments') {
			$segments[] = $query['view'];
		}

		unset($query['view']);
	};

	if(isset($query['id']))
	{
		$segments[] = $query['id'];
		unset($query['id']);
	};
	
	if((isset($query['format'])) && $query['format'] == 'feed'){
		$query['format'] = 'feed';
	}
		
	return $segments;
}

function LyftenBloggieParseRoute($segments)
{
	$vars = array();
	
	// Count route segments
	$count = count($segments);

	if ($count == 1) {
		$vars['cid'] = $segments[$count-1];
		$vars['view'] = 'comments';
	}
 
	if ($count == 0) {
		$vars['view'] = 'LyftenBloggie';
	}

	if ($count == 2) {
		$vars['cid'] = $segments[$count-2];
		$vars['view'] = 'entry';
		$vars['id']    = $segments[$count-1];
	}
	
	return $vars;
}
?>