<?php
/**
 * LyftenBloggie 1.0 - Joomla! Blog Manager
 * @package LyftenBloggie 1.0
 * @copyright (C) 2009 Lyften Designs
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');


/**
 * @package Joomla
 * @subpackage LyftenBloggie
 * @since 1.0
 */
class TableAuthors extends JTable
{
	var $id					= null;
	var $user_id			= null;
	var $name				= null;
	var $avatar				= null;
	var $permission			= null;
	var $attribs			= null;
	var $published			= null;
	var $checked_out		= 0;
	var $checked_out_time	= 0;
	
	/**
	* @param database A database connector object
	*/
	function __construct( &$db ) {
		parent::__construct( '#__bloggies_authors', 'id', $db );
	}

	/**
	 * Overloaded check function
	 **/
	function check()
	{
		if(empty($this->name)) {
			$this->setError(JText::_('USER MUST HAVE A NAME'));
			return false;
		}

		return true;
	}
}
