<?php
/**
 * LyftenBloggie 1.0 - Joomla! Blog Manager
 * @package LyftenBloggie 1.0
 * @copyright (C) 2009 Lyften Designs
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');
?>

<script language="javascript" type="text/javascript">
function submitbutton(pressbutton) {
	var form = document.adminForm;
	if (pressbutton == 'cancel') {
		submitform( pressbutton );
		return;
	}

	// do field validation
	if (form.name.value == ""){
		alert( "<?php echo JText::_( 'ADD AUTHOR NAME' ); ?>" );
	} else {
		submitform( pressbutton );
	}
}
</script>

<form action="index.php" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data">
<?php
echo $this->tabs->startPane("AuthorTab");
echo $this->tabs->startPanel(JText::_('AUTHOR INFORMATION'), "authorinfo-page");
?>
<table class="admintable">
	<tr>
		<td class="key">
			<label for="name">
				<?php echo JText::_( 'AUTHOR NAME' ).':'; ?>
			</label>
		</td>
		<td>
			<input name="name" value="<?php echo $this->row->name; ?>" size="50" maxlength="100" />
		</td>
	</tr>
<?php if($this->users) { ?>
	<tr>		
		<td class="key">
			<label for="published">
				<?php echo JText::_( 'JOOMLA USERS' ).':'; ?>
			</label>
		</td>
		<td><?php echo $this->users;	?></td>
	</tr>
<?php }else{ ?>
	<tr>		
		<td class="key">
			<label for="published">
				<?php echo JText::_( 'USERNAME' ).':'; ?>
			</label>
		</td>
		<td><?php echo $this->row->username;	?></td>
	</tr>
<?php } ?>
	<tr>		
		<td class="key">
			<label for="published">
				<?php echo JText::_( 'PUBLISHED' ).':'; ?>
			</label>
		</td>
		<td><?php echo JHTML::_('select.booleanlist', 'published', 'class="inputbox"', $this->row->published );	?></td>
	</tr>
	<tr>
		<td class="key">
			<label for="permission">
				<?php echo JText::_( 'BLOG ADMINISTRATOR' ).':'; ?>
			</label>
		</td>
		<td><?php echo JHTML::_('select.booleanlist', 'permission[admin]', '', $this->permission->get('admin', 0), JText::_('Yes'), JText::_('No')); ?></td>
	</tr>
	<tr>
		<td class="key">
			<label for="permission">
				<?php echo JText::_( 'ALLOWED TO PUBLISH' ).':'; ?>
			</label>
		</td>
		<td><?php echo JHTML::_('select.booleanlist', 'permission[allowpub]', '', $this->permission->get('allowpub', 1), JText::_('Yes'), JText::_('No')); ?></td>
	</tr>
	<tr>
		<td class="key">
			<span class="editlinktip hasTip" title="<?php echo JText::_( 'Allowed to Delete' ); ?>::<?php echo JText::_( 'ALLOWDELTE DESC' ); ?>">
			<label for="allowdelete">
				<?php echo JText::_( 'Allowed to Delete' ).':'; ?>
			</label>
			</span>		
		</td>
		<td><?php echo JHTML::_('select.booleanlist', 'permission[allowdelete]', '', $this->permission->get('allowdelete', 1), JText::_('Yes'), JText::_('No')); ?></td>
	</tr>
	<tr>
		<td class="key">
			<label for="about">
				<?php echo JText::_( 'AVATAR' ).':'; ?>
			</label>
		</td>
		<td>
			<input type="file" id="avatar" name="avatar" /><br><small><?php echo JText::_('Uploading a new avatar will delete the old one'); ?></small>
		</td>
	</tr>
<?php if($this->row->avatar) : ?>
	<tr>
		<td colspan="2"></td>
	</tr>
	<tr>
		<td class="key">
			<label for="about">
				<?php echo JText::_( 'CURRENT AVATAR' ).':'; ?>
			</label>
		</td>
		<td>
			<img src="<?php echo com_lyftenbloggie_ASSETS_SITE.'/avatars/'.$this->row->avatar; ?>"/>
		</td>
	</tr>
<?php endif; ?>
</table>
<?php
echo $this->tabs->endPanel();
echo $this->tabs->startPanel(JText::_('ABOUTBLOCK SETTINGS'), "aboutblock-page");
	echo $this->form->render('params', 'settings');
echo $this->tabs->endPanel();
echo $this->tabs->endPane();
?>
<?php echo JHTML::_( 'form.token' ); ?>
<input type="hidden" name="option" value="com_lyftenbloggie" />
<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />
<?php echo ($this->row->user_id)?'<input type="hidden" name="user_id" value="'.$this->row->user_id.'" />':''; ?>
<input type="hidden" name="controller" value="authors" />
<input type="hidden" name="view" value="author" />
<input type="hidden" name="task" value="" />
</form>

<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>