<?php
/**
 * LyftenBloggie 1.0 - Joomla! Blog Manager
 * @package LyftenBloggie 1.0
 * @copyright (C) 2009 Lyften Designs
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');
$limitstart = (JRequest::getVar('limitstart'))?'&limitstart='.JRequest::getVar('limitstart'):'';
?>
<div class="entryComment">
	<a name="comment"></a>
	<?php LDHTML::setCommentStyle($this->entry->id, $this->entry->allowComments) ?>
	<h4><?php echo Jtext::_('COMMENTS'); ?> <em>(<span id="num-reviews-span"><?php echo $this->totalcoms; ?></span>)</em></h4>

	<ul id="entryContainer" class="entryContainer"> 
	<?php foreach ($this->comments as $comment) : 
	$homepage	= ($comment->author_url)?'<li><a href="'.stripslashes($comment->author_url).'" target="_blank">'.JText::_('HOMEPAGE').'</a></li>':'';
	$email 		= ($comment->author_email)?'<li><a href="mailto:'.stripslashes($comment->author_email).'">'.JText::_('EMAIL').'</a></li>':'';
	$poster 	= ($comment->author)?$comment->author:$comment->poster;
	?>
		<li id="comment-<?php echo $comment->id; ?>" class="singleComment">	 
			<div class="singleComment-header"> 		
				<table> 			
					<tbody>
						<tr> 				
							<td class="singleComment-poster"> 					
								<span class="commentPoster-avatar">
									<img src="<?php echo $comment->avatar; ?>" alt="" class="avatar">
								</span> 				
								<?php if($homepage || $email) { ?>
								<ul class="commentPoster-links">
									<?php echo $homepage.$email; ?>
								</ul>
								<?php } ?>
							</td> 				
							<td class="singleComment-header-meta"> 			 
								<span class="entryComment-header-author"><?php echo $poster; ?></span>
								<span class="entryComment-header-time"><?php echo JHTML::_('date', $comment->date, '%b %d, %Y');  ?></span> 
							</td> 		
							<td class="singleComment-header-actions">
							<?php if(!$this->params->get('commentStyle', 0)) { ?>
								<?php if(!$this->user->guest) { ?>
								<a href="<?php echo JRoute::_('index.php?&option=com_lyftenbloggie&task=rate&rate=0&id='.$comment->id.'&entry='.$this->entry->id.'&view=comments'.$limitstart); ?>" class="ratedwn-comment"></a>
								<a href="<?php echo JRoute::_('index.php?&option=com_lyftenbloggie&task=rate&rate=1&id='.$comment->id.'&entry='.$this->entry->id.'&view=comments'.$limitstart); ?>" class="rateup-comment"></a>
								<?php } ?>
							<?php }else{ ?>
								<span id="rate-result-<?php echo $comment->id; ?>" class="rateMsg"></span>
								<?php if($this->params->get('allowReport')) { ?>
								<a href="#" onclick="jQuery.facebox({ ajax: '<?php echo JRoute::_('index.php?&option=com_lyftenbloggie&task=report&id='.$comment->id); ?>' });return false;" class="report-comment" title="<?php echo JText::_('REPORT AS INAPPROPRIATE'); ?>"><img src="<?php echo COM_LYFTENBLOGGIE_ASSETS; ?>/images/blank.gif"></a>
								<?php } ?>
								<?php if(!$this->user->guest) { ?>
								<a href="#" id="rate-dwn-<?php echo $comment->id; ?>" onclick="javascript:jQuery.php(url,{'option':'com_lyftenbloggie','task':'rateAjax','rate':'0','id':'<?php echo $comment->id; ?>'});return false;" class="ratedwn-comment" title="<?php echo JText::_('RATE DOWN'); ?>"><img src="<?php echo COM_LYFTENBLOGGIE_ASSETS; ?>/images/blank.gif"></a>
								<a href="#" id="rate-up-<?php echo $comment->id; ?>" onclick="javascript:jQuery.php(url,{'option':'com_lyftenbloggie','task':'rateAjax','rate':'1','id':'<?php echo $comment->id; ?>'});return false;" class="rateup-comment" title="<?php echo JText::_('RATE UP'); ?>"><img src="<?php echo COM_LYFTENBLOGGIE_ASSETS; ?>/images/blank.gif"></a>
								<?php } ?>
								<?php } ?>
							</td> 		
						</tr> 		
					</tbody>
				</table> 		
			</div>
			<img src="<?php echo COM_LYFTENBLOGGIE_THEME; ?>/images/comment-tip.gif" class="comment-tip">

			<div class="singleComment-body">
				<div class="singleComment-message">
					<?php echo $comment->content; ?>
				</div>	 
			</div> 
		</li>	
	<?php endforeach; ?>
	</ul>
	<?php if ($this->pageNav->getPagesCounter()) : ?>
	<!--pagination-->
	<div class="page-nav">
		<dl>
			<dt><?php echo $this->pageNav->getPagesCounter(); ?></dt>
			<dd><?php echo $this->pageNav->getPagesLinks();?></dd>
		</dl>
		<div class="clear"></div>
	</div>
	<?php endif; ?>
</div>