<?php
/**
 * LyftenBloggie 1.0 - Joomla! Blog Manager
 * @package LyftenBloggie 1.0
 * @copyright (C) 2009 Lyften Designs
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');
?>
<script type='text/javascript'>
	function showlayer(layer){
		var myLayer=document.getElementById(layer).style.display;
		if(myLayer=="none"){
			document.getElementById(layer).style.display="block";
		} else { 
			document.getElementById(layer).style.display="none";
			}
	}
	function reportAbuse(id){
		var reportLayer=document.getElementById('reportabuse').style.display;
		if(reportLayer=="none"){
			document.getElementById('reportID').value = id;
			document.getElementById('reportabuse').style.display="block";
			document.getElementById('commentpost').style.display="none";
		} else { 
			document.getElementById('reportID').value = id;
		}
	}
	function reportAbuseCancel(){
		document.getElementById('reportabuse').style.display="none";
		document.getElementById('commentpost').style.display="block";
	}
</script>
<div id="lyftenbloggie" class="lyftenbloggie">
	<div class="blogcontent">
		<div class="post" id="post">
			<div class="postinfo">
			<h3 class="entry-title"><?php echo $this->escape($this->entry->title); ?></h3>
			<p><?php echo JText::_('POSTED IN'); ?> <?php echo $this->entry->category; ?> Дата <?php echo $this->entry->createdfor; ?><?php echo ($this->entry->author)?' Автор <a href="'.JRoute::_( 'index.php?option=com_lyftenbloggie&author='.$this->entry->created_by).'">'.$this->entry->author.'</a>':''; ?></p>
			</div>
			<div class="entry">
				<?php if(isset($this->entry->bookmarks['badge'])) : ?><div class="bookmarkbadge"><?php echo $this->entry->bookmarks['badge']; ?></div><?php endif; ?>
				<p><?php echo $this->entry->text; ?></p>
			</div>
			<?php if(isset($this->entry->bookmarks['button'])) : ?><?php echo ($this->entry->bookmarks['button'])?'<div class="bookmarks">'.$this->entry->bookmarks['button'].'</div>':''; ?><?php endif; ?>				
			<div class="postdata">
				<p class="entry-tags"><b><?php echo JText::_('TAGS'); ?></b>: <?php echo ($this->entry->tags)?$this->entry->tags:'None'; ?></p>

				<div class="entry-options">
					<?php if($this->entry->allowComments) : ?>
						<a href="#comment" class="comment-link"><?php echo JText::_('LEAVE A COMMENT'); ?></a> &#149; 
					<?php endif; ?>

					<a href="<?php echo JRoute::_('index.php?option=com_lyftenbloggie&task=trackback&id='.$this->entry->id); ?>" class="trackback-link"><?php echo JText::_('TRACKBACK'); ?></a>
					
					<?php if($this->entry->editable) : ?>
						&#149; <a href="<?php echo JRoute::_( 'index.php?view=entry&layout=form&id='. $this->entry->id ); ?>" class="edit-link"><?php echo JText::_('EDIT'); ?></a>
					<?php endif; ?>
				</div>
			</div>
			
			<?php
			if ($this->params->get('typeComments', '1') == '1') {
				echo $this->loadTemplate('comments');
			}elseIf($this->params->get('typeComments', '1') == '2') {
				if ($this->entry->allowComments) 
				{
					if (file_exists(JPATH_SITE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php')) {
						require_once(JPATH_SITE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php');
						echo JComments::showComments($this->item->id, 'com_quickfaq', $this->escape($this->item->title));
					}
				}
			}elseIf ($this->params->get('typeComments', '1') == '3') {
				if ($this->entry->allowComments) 
				{
					if (file_exists(JPATH_SITE.DS.'plugins'.DS.'content'.DS.'jom_comment_bot.php')) {
						require_once(JPATH_SITE.DS.'plugins'.DS.'content'.DS.'jom_comment_bot.php');
						echo jomcomment($this->item->id, 'com_quickfaq');
					}
				}
			}?>
		</div>	
	</div>
</div>
<div class="clear"></div>