<?php
/**
 * LyftenBloggie 1.0 - Joomla! Blog Manager
 * @package LyftenBloggie 1.0
 * @copyright (C) 2009 Lyften Designs
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');
$i = 1;
?>

<?php foreach ($this->entries as $entry) : ?>

<div class="post" id="post-<?php echo $i; ?>">
	<div class="postinfo">
	<h3 class="entry-title"><a href="<?php echo JRoute::_( 'index.php?view=entry&id='. $entry->id ); ?>" rel="bookmark" title="Link to <?php echo $entry->title; ?>""><?php echo $this->escape($entry->title); ?></a></h3>
	<p>Размещено в <?php echo $entry->category; ?> Дата <?php echo $entry->created; ?><?php echo ($entry->author)?' Автор <a href="'.JRoute::_( 'index.php?option=com_lyftenbloggie&author='.$entry->created_by).'">'.$entry->author.'</a>':''; ?></p>
	</div>
	<div class="entry">
		<?php if(isset($entry->bookmarks['badge'])) : ?><div class="bookmarkbadge"><?php echo $entry->bookmarks['badge']; ?></div><?php endif; ?>
		<?php echo $entry->text; ?>
	</div>
	<?php if(isset($entry->bookmarks['button'])) : ?><?php echo ($entry->bookmarks['button'])?'<div class="bookmarks">'.$entry->bookmarks['button'].'</div>':''; ?><?php endif; ?>				
	<div class="postdata">
		<p class="entry-tags"><b><?php echo JText::_('TAGS'); ?></b>: <?php echo ($entry->tags)?$entry->tags:'None'; ?></p>

		<div class="entry-options">
			<?php if($entry->readmore) : ?>
			<div class="read-more"><a href="<?php echo JRoute::_( 'index.php?view=entry&id='. $entry->id ); ?>"><?php echo JText::_('READ MORE'); ?></a></div>
			<?php endif; ?>

			<?php $comText = ($entry->allowComments) ? JText::_('LEAVE A COMMENT') : JText::_('COMMENT CLOSED');
				$comtit = ($entry->comcount)?'Комментариев('.$entry->comcount.')':$comText;
				$jump 	= ($entry->allowComments) ? '#comment' : '';
				echo '<a href="'.JRoute::_( 'index.php?view=entry&id='. $entry->id ).$jump.'" class="comment-link">'.$comtit.'</a> &#149; ';
			?>

			<a href="index.php?option=com_lyftenbloggie&task=trackback&id=<?php echo $entry->id; ?>" class="trackback-link"><?php echo JText::_('TRACKBACK'); ?></a>
			
			<?php if($entry->editable) : ?>
				&#149; <a href="<?php echo JRoute::_( 'index.php?view=entry&layout=form&id='. $entry->id ); ?>" class="edit-link"><?php echo JText::_('EDIT'); ?></a>
			<?php endif; ?>
		</div>
	</div>	
</div>
<?php 
$i++;
endforeach;
if(empty($this->entries)) {

	switch ($this->viewType['type'])
	{
		case 'tag':
			echo JText::sprintf('NO BLOG ENTRIES TAGGED', $this->viewType['text']);
			break;
		case 'category':
			echo JText::sprintf('NO BLOG ENTRIES CATEGORY', $this->viewType['text']);
			break;
		case 'archiveurl':
			echo JText::sprintf('NO BLOG ENTRIES FOR', $this->viewType['text']);
			break;
		case 'author':
			echo JText::sprintf('NO BLOG ENTRIES AUTHOR', $this->viewType['text']);
			break;
		default:
			echo JText::_('NO BLOG ENTRIES FOUND');
			break;
	}
}
?>