<?php
/**
 * JomProducts 1.0 - Joomla! Product Manager
 * @package JomProducts 1.0
 * @copyright (C) 2009 Lyften Designs
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');
?>
<div class="front_features">
	<ul class="options_list">
		<li class="alt">
			<div id="authordiv" class="postbox closed">
				<strong><?php echo JText::_('BASIC INFORMATION'); ?></strong> - <em><?php echo JText::_('Avatar and Name.'); ?></em>
				<div class="inside">
				<table class="paramlist admintable" cellspacing="1" width="100%">
					<tr>
						<td class="paramlist_key">
							<label for="name">
								<?php echo JText::_( 'AUTHOR NAME' ).':'; ?>
							</label>
						</td>
						<td class="paramlist_value">
							<input name="name" value="<?php echo $this->row->name; ?>" size="50" maxlength="100" />
						</td>
					</tr>
					<?php if($this->avatarUsed == '0') { ?>
					<tr>
						<td class="paramlist_key">
							<label for="about">
								<?php echo JText::_( 'AVATAR' ).':'; ?>
							</label>
						</td>
						<td class="paramlist_value">
							<input type="file" id="avatar" name="avatar" /><br><small><?php echo JText::_('UPLOADING A NEW AVATAR WILL DELETE THE OLD ONE'); ?></small>
						</td>
					</tr>
					<?php if($this->row->avatar) : ?>
					<tr>
						<td colspan="2"></td>
					</tr>
					<tr>
						<td class="paramlist_key">
							<label for="about">
								<?php echo JText::_( 'CURRENT AVATAR' ).':'; ?>
							</label>
						</td>
						<td class="paramlist_value">
							<img src="<?php echo COM_LYFTENBLOGGIE_ASSETS.'/avatars/'.$this->row->avatar; ?>"/>
						</td>
					</tr>
				<?php endif; ?>
				<?php } ?>
				</table>
				</div>
			</div>
		</li>
<?php if($this->aboutbox['authortools']) : ?>
		<li class="alt">
			<div id="authordiv" class="postbox closed">
				<strong><?php echo JText::_('ABOUTBLOCK SETTINGS'); ?></strong> - <em><?php echo JText::_('ABOUTBLOCK SETTINGS DESC'); ?> <?php echo (!$this->aboutbox['aboutbox'])?'<small>'.JText::_('THE ABOUTBLOCK IS UNPUBLISHED').'</small>':''; ?></em>
				<div class="inside">
				<p><?php echo $this->form->render('params', 'settings');; ?></p>
				</div>
			</div>
		</li>
<?php endif; ?>
	</ul>
</div>