<?php
/**
 * LyftenBloggie 1.0 - Joomla! Blog Manager
 * @package LyftenBloggie 1.0
 * @copyright (C) 2009 Lyften Designs
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');
$k = 0;
$tabclass_arr = array ('sectiontableentry2', 'sectiontableentry1');
?>
<div id="lyftenbloggie" class="lyftenbloggie">
	<div class="blogcontent">
		<div class="myentries">
			<div class="postinfo">
			<h1 class="entry-title"><?php echo JText::_('MY ENTRIES'); ?> (<?php echo $this->totalentries; ?>)</h1>
			</div>
			<div class="entry">
				<table border="0" cellpadding="4" cellspacing="0" width="100%">
					<tr class="sectiontableheader">
						<td class="sectiontableheader" width="1%"></td>
						<td class="sectiontableheader"><?php echo JText::_('TITLE'); ?></td>
						<td class="sectiontableheader"><?php echo JText::_('DATE'); ?></td>
						<td class="sectiontableheader"></td>
						<td class="sectiontableheader"></td>
					</tr>			
			<?php foreach ($this->entries as $entry) : 
				if ( $entry->state == 1 ) {
					$class = 'published';
				} else if ( $entry->state == -1 ) {
					$class = 'unpublished';
				} else if ( $entry->state == 2 ) {
					$class = 'revpending';
				} else if ( $entry->state == 3 ) {
					$class = 'delpending';
				}					
			?>
					<tr class="<?php echo $tabclass_arr[$k]; ?>" id="entrybox-<?php echo $entry->id; ?>">
						<td><a href="javascript:void(0);"><div id="entrystate-<?php echo $entry->id; ?>" class="<?php echo $class; ?>"></div></td>
						<td>
							<a href="<?php echo JRoute::_( LyftenBloggieHelperRoute::getEntryRoute($entry->id) ); ?>"><?php echo $entry->title; ?></a><br>
							<span class="smalltxt"><?php echo JText::_('Hits'); ?>:<?php echo $entry->hits; ?> | <?php echo JText::_('Comments'); ?>: <?php echo $entry->totalcoms; ?> | <?php echo JText::_('Category'); ?>: <?php echo $entry->category; ?></span>
						</td>
						<td><?php echo $entry->created; ?></td>
						<td>
						<?php if($entry->editable) : ?>
							<a href="<?php echo JRoute::_( LyftenBloggieHelperRoute::getEditEntryRoute($entry->id) ); ?>" class="edit-link"><?php echo JText::_('EDIT'); ?></a>
						<?php endif; ?>
						</td>
						<td><a href="javascript:void(0);" onclick="deleteentry(<?php echo $entry->id; ?>);return false;" class="del-link"><?php echo JText::_('DELETE'); ?></a></td>
					</tr>
				<?php $k = 1 - $k; ?>
				<?php endforeach; ?>
				<?php if(empty($this->entries)) { ?>
					<tr><td colspan="5" style="text-align:center;padding-top:10px;">
						<?php echo JText::_('NO ENTRIES FOUND'); ?><br>
						<small style="font-size:11px;"><a href="<?php echo JRoute::_('index.php?option=com_lyftenbloggie&view=entry&layout=form'); ?>"><?php echo JText::_('ADD A NEW ENTRY'); ?></a></small>
					</td></tr>
				<?php } ?>
				</table>				
				<?php if ($this->pageNav->getPagesCounter()) : ?>
				<!--pagination-->
				<div class="page-nav">
					<dl>
						<dt><?php echo $this->pageNav->getPagesCounter(); ?></dt>
						<dd><?php echo $this->pageNav->getPagesLinks();?></dd>
					</dl>
					<div class="clear"></div>
				</div>
				<?php endif; ?>				
			</div>
		</div>	
	</div>
</div>
<div class="clear"></div>