<?php
/**
 * LyftenBloggie 1.0 - Joomla! Blog Manager
 * @package LyftenBloggie 1.0
 * @copyright (C) 2009 Lyften Designs
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.lyften.com/ Official website
 **/
 
// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view');

class LyftenBloggieViewSideitem extends JView {

	function display($tpl = null)
	{
		global $mainframe;

		//Load pane behavior
		jimport('joomla.html.pane');

		//initialise variables
		$editor 	= & JFactory::getEditor();
		$document	= & JFactory::getDocument();
		$user 		= & JFactory::getUser();
		$pane 		= & JPane::getInstance('sliders');
		$form 		= '';

		JHTML::_('behavior.tooltip');
		
		//get vars
		$cid 		= JRequest::getVar( 'cid' );

		//add css to document
		$document->addStyleSheet('components/com_lyftenbloggie/assets/css/style.css');

		//create the toolbar
		if ( $cid ) {
			JToolBarHelper::title( JText::_( 'EDIT SIDE ITEM' ), 'lbsideitem' );

		} else {
			JToolBarHelper::title( JText::_( 'NEW SIDE ITEM' ), 'lbsideitem' );
		}
		JToolBarHelper::save();
		JToolBarHelper::apply();
		JToolBarHelper::divider();
		JToolBarHelper::cancel();
		JToolBarHelper::spacer();

		//Get data from the model
		$row     	= & $this->get( 'Sideitem' );

		// if the side item is a plugin get the parameters
		if(strtolower($row->type) == 'plugin') {
			$xmlfile = JPATH_COMPONENT_SITE.DS.'addons'.DS.'plugins'.DS.strtolower($row->name).DS.strtolower($row->name).'.xml';
			if (file_exists($xmlfile)) {
				$params = new JParameter($row->html, $xmlfile);
				
				//get plugin's description
				$xml = JApplicationHelper::parseXMLInstallFile($xmlfile);
				$row->description = $xml['description'];
			}	
		}
		
		//assign vars to view
		$this->assignRef('row'      	, $row);
		$this->assignRef('params'      	, $params);

		parent::display($tpl);
	}
}
?>